#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>
#include <unistd.h>
#include <getopt.h>
#include <stdlib.h>
#include <stdarg.h>
#include <sys/file.h>
#include "ex1048.h"
#include "calfile.h"

/*
  !!! HACK !!!
  
  why isn't the header file stdlib.h declaring this properly?
*/
extern float strtof (__const char *__restrict __nptr,
		     char **__restrict __endptr) __THROW;


#define CH_TC_MIN 0
#define CH_TC_MAX 47
#define CH_CJC_MIN 48
#define CH_CJC_MAX 59
#define CH_RES_MIN 60
#define CH_RES_MAX 61
#define CH_VREF 62
#define CH_SGND 63

#define CH_COUNT 64
#define CH_TC_COUNT 48
#define FREQ_COUNT 2
#define RANGE_COUNT 2


float cjcOff[RANGE_COUNT][FREQ_COUNT][CH_COUNT];

static void set_values(float val) {
  int i;
  for (i = 0; i < CH_COUNT; i++) {
    /* cjc */
    if (i >= CH_CJC_MIN && i <= CH_CJC_MAX) {
      cjcOff[0][0][i] = val;
      cjcOff[0][1][i] = val;
      cjcOff[1][0][i] = val;
      cjcOff[1][1][i] = val;
    }
    /* default */
    else {
      cjcOff[0][0][i] = 0.0;
      cjcOff[0][1][i] = 0.0;
      cjcOff[1][0][i] = 0.0;
      cjcOff[1][1][i] = 0.0;
    }
  }
}

static void write_file(const char *fname) {
  struct calfile cal;

  if (cal_open(&cal, fname, CAL_CREATE) != CAL_ERR_NONE) {
    fprintf(stderr, "failed to open output file: %s: %s\n", fname, cal_geterrstring(&cal));
    exit(1);
  }

  cal_setvalue(&cal, "vender", "VXI Technology, Inc.");
  cal_setvalue(&cal, "device", "EX1048");

  cal_adddata(&cal, cjcOff, CALTYPE_USER_OFFSET);
  
  if (cal_close(&cal) != CAL_ERR_NONE) {
    fprintf(stderr, "failed to close output file: %s\n", cal_geterrstring(&cal));
    exit(1);
  }
}

static void usage(const char *progname) {
  fprintf(stderr, "usage: %s <cjcoffset file> <offset value>\n", progname);
  exit(1);
}

/* usage <cal file> <offset> */
int main(int argc, char **argv) {
  char *end;
  float val;

  if (argc != 3)
    usage(argv[0]);

  val = strtof(argv[2], &end);
  if (!end || *end != 0) {
    fprintf(stderr, "unable to parse offset (float): %s\n", argv[2]);
    exit(1);
  }

  set_values(val);
  write_file(argv[1]);

  return 0;
}
