#include <stdio.h>
#include <stdlib.h>
#include <inttypes.h>

/*
  !!! HACK !!!
  
  why isn't the header file stdlib.h declaring this properly?
*/
extern float strtof (__const char *__restrict __nptr,
		     char **__restrict __endptr) __THROW;

void usage(const char *progname) {
  fprintf(stderr, "usage: %s <val1> [val2] [val3] ...\n", progname);
  fprintf(stderr, "\twill try to convert float to hex and hex to float (in that order).\n");
  fprintf(stderr, "\tWARNING: some values like 0 and 1 are valid hex AND float values.\n");
  fprintf(stderr, "\tuse a 0x prefix or .0 postfix to force the conversion type.\n");
  exit(1);
}

int main(int argc, char *argv[]) {
  int i;
  const char *in;
  char *end;
  union { float f; uint32_t i; } value;
  int ret = 0;

  if (argc < 2)
    usage(argv[0]);

  for (i = 1; i < argc; i++) {
    in = argv[i];

    /* try float first */
    value.f = strtof(in, &end);
    if ((in != end) && (*end == 0)) {
      printf("%s (float) => %8X (hex)\n", in, value.i);
      continue;
    }

    /* try hex next */
    value.i = strtol(in, &end, 0);
    if ((in != end) && (*end == 0)) {
      printf("%s (hex) => %.15e (float)\n", in, value.f);
      continue;
    }
    
    /* error */
    fprintf(stderr, "couldn't make sense of: %s\n", in);
    ret = 1;
  }
  
  return ret;
}
