/*****************************************************************************
Copyright VXI Technoloy, Inc., 2004
 
Author:     $Author: pmecklenburg $    
Date:       $Date: 2004/09/30 19:26:59 $
Revision:   $Revision: 1.3 $
 
$Header: /home/shared/cvsroot/ex1048/uClinux-dist/user/ex1048/client/ex1048client.c,v 1.3 2004/09/30 19:26:59 pmecklenburg Exp $
 
*****************************************************************************/


#include<stdio.h>
#include<string.h>
#include<stdlib.h>
#include<rpc/rpc.h>
#include<getopt.h>
#include<sys/types.h>
#include<sys/socket.h>
#include<netinet/in.h>
#include<netinet/tcp.h>
#include<arpa/inet.h>
#include"ex1048.h"
#include"applets.h"

/* NOTE: these values must remain in alphabetical order!!! since a binary
   search is used to find the appropriate application */

const EX1048_applet applets[] = {
  EX1048_APPLET(     abort)
  EX1048_APPLET(     armgetcount)
  EX1048_APPLET(     armgetdelay)
  EX1048_APPLET(     armgetinf)
  EX1048_APPLET(     armgetsrc)
  EX1048_APPLET(     armsetcount)
  EX1048_APPLET(     armsetdelay)
  EX1048_APPLET(     armsetinf)
  EX1048_APPLET(     armsetsrc)
  EX1048_APPLET(     caldate)
  EX1048_APPLET(     configfifo)
  EX1048_APPLET(     diogetenable)
  EX1048_APPLET(     diogetinput)
  EX1048_APPLET(     diogetoutput)
  EX1048_APPLET(     diosendpulse)
  EX1048_APPLET(     diosetenable)
  EX1048_APPLET(     diosetoutput)
  EX1048_APPLET(     ex1048client)
  EX1048_APPLET(     exbreaklock)
  EX1048_APPLET(     exlock)
  EX1048_APPLET(     exreset)
  EX1048_APPLET(     exunlock)
  EX1048_APPLET(     findinstr)
  EX1048_APPLET(     getauxledstatus)
  EX1048_APPLET(     getcalrunning)
  EX1048_APPLET(     getcalstatus)
  EX1048_APPLET(     getchannelunits)
  EX1048_APPLET(     getcjcenables)
  EX1048_APPLET(     getcjctemperatures)
  EX1048_APPLET(     getconversions)
  EX1048_APPLET(     geterrorstatus)
  EX1048_APPLET(     getfirmwareversion)
  EX1048_APPLET(     getfreqs)
  EX1048_APPLET(     getledstatus)
  EX1048_APPLET(     getlimitenables)
  EX1048_APPLET(     getlimits)
  EX1048_APPLET(     getlimitstatus)
  EX1048_APPLET(     getrpcversion)
  EX1048_APPLET(     getscanlist)
  EX1048_APPLET(     getserial)
  EX1048_APPLET(     getstream)
  EX1048_APPLET(     getsystemstatus)
  EX1048_APPLET(     getuserconv)
  EX1048_APPLET(     initgetcont)
  EX1048_APPLET(     initsetcont)
  EX1048_APPLET(     lidlock)
  EX1048_APPLET(     readfifo)
  EX1048_APPLET(     resetfifo)
  EX1048_APPLET(     selfcal)
  EX1048_APPLET(     selfcalclear)
  EX1048_APPLET(     selfcalload)
  EX1048_APPLET(     selfcalstore)
  EX1048_APPLET(     selftest)
  EX1048_APPLET(     setauxledstatus)
  EX1048_APPLET(     setcjcenables)
  EX1048_APPLET(     setcjctemperatures)
  EX1048_APPLET(     setconversions)
  EX1048_APPLET(     setfreqs)
  EX1048_APPLET(     setledstatus)
  EX1048_APPLET(     setlimitenables)
  EX1048_APPLET(     setlimits)
  EX1048_APPLET(     setscanlist)
  EX1048_APPLET(     setuserconv)
  EX1048_APPLET(     softwarearm)
  EX1048_APPLET(     softwaretrigger)
  EX1048_APPLET(     triggetcount)
  EX1048_APPLET(     triggetdelay)
  EX1048_APPLET(     triggetinf)
  EX1048_APPLET(     triggetsrc)
  EX1048_APPLET(     triggettimer)
  EX1048_APPLET(     triginit)
  EX1048_APPLET(     trigsetcount)
  EX1048_APPLET(     trigsetdelay)
  EX1048_APPLET(     trigsetinf)
  EX1048_APPLET(     trigsetsrc)
  EX1048_APPLET(     trigsettimer)
  EX1048_APPLET(     vtbgetenable)
  EX1048_APPLET(     vtbgetinput)
  EX1048_APPLET(     vtbgetoutput)
  EX1048_APPLET(     vtbsendpulse)
  EX1048_APPLET(     vtbsetenable)
  EX1048_APPLET(     vtbsetoutput)
  { "\0", NULL, "\0" }
};

#define EX1048_ENV "EX1048OPTS"
#define EX1048_ENV_MAX_LEN 256 
#define TOKENS " \t"

/* The -1 arises because of the {0,NULL,0} entry above. */
const size_t NUM_APPLETS = (sizeof (applets) / sizeof (EX1048_applet) - 1);


extern EX1048_applet *applet_using;

void run_applet_by_name(const char *name, int argc, char **argv);
EX1048_applet *find_applet_by_name(const char *name);
static int applet_name_compare(const void *x, const void *y);

/* this is the main client executable front-end
   it is used (like BusyBox) to have a single executable provide a number
   of command-line operations by creating symlinks under various names
   to this executable - this program looks up the command and calls
   it appropriately */
int main( int argc, char **argv )
{
  char *s;
  char *applet_name;
  char *envvar;
  char *envargv[EX1048_ENV_MAX_LEN];
  char **optargv = argv;
  char optargc = argc;
  char *temp;
  int i;
  int envoptc = 0;

  applet_name = argv[0];

  /* strip away prefix cruft */
  if (applet_name[0] == '-')
    applet_name++;

  for (s = applet_name; *s != '\0';) {
    if (*s++ == '/')
      applet_name = s;
  }
  
  /* convert . in path to underscore - used for calling CGI scripts 
   (e.g., something.cgi goes to something_cgi */
  for( s = applet_name; *s != '\0'; ) {
    if( *s == '.' )
      *s = '_';
    s++;
  }

  /* if the environment variable, EX1048OPTS, is set, modify the 
     argv list to include its contents */
  envvar = getenv( EX1048_ENV );
  if( envvar != NULL ) {
    /* insert this environment variable contents at argv[1], 
       moving the remainder of argv around appropriately */
    envargv[0] = optargv[0];
    /* break the environment variable up into space-separated components */
    /* NAB??? seems like there should be a standard way of doing this...
     seems a bit kludgey*/
    temp = strtok( envvar, TOKENS );
    while( temp != NULL ) {
      envargv[1 + envoptc] = temp;
      envoptc++;
      temp = strtok( NULL, TOKENS );
    }
    
    for( i = 1; i <= argc; i++ ) {
      envargv[i + envoptc ] = optargv[i];
    }
    optargc += envoptc; 
    optargv = envargv;
  }


  /* call the applet by name, passing it the command line parameters */
  run_applet_by_name(applet_name, optargc, optargv);

  return 0;
}


void run_applet_by_name(const char *name, int argc, char **argv)
{
  const char * applet_name;
  int appres;

  /* Do a binary search to find the applet entry given the name. */
  if ((applet_using = find_applet_by_name(name)) != NULL) 
    {
      applet_name = applet_using->name;
      /* see if the user is requesting help */
      if ( argv[1] && strcmp(argv[1], "--help") == 0 ) 
	{
	  if ( strcmp(applet_using->name, "ex1048client") == 0 ) 
	    {
	      if( argv[2] )
		applet_using = find_applet_by_name(argv[2]);
	      /*	      else
			      applet_using = NULL;*/
	    }
	  if( applet_using )
	    show_usage();
	  exit(0);
	}
      if( applet_using->main ){
	appres = (*(applet_using->main)) (argc, argv);
	exit(appres);
      }
    }
  else
    fprintf( stderr,"Error unknown command - %s\n", name );
}

EX1048_applet *find_applet_by_name(const char *name)
{
  return bsearch(name, applets, NUM_APPLETS, sizeof(EX1048_applet),
			applet_name_compare);
}

static int applet_name_compare(const void *x, const void *y)
{
	const char *name = x;
	const EX1048_applet *applet = y;

	return strcmp(name, applet->name);
}


int ex1048client_main( int argc, char **argv )
{
  /* just here for completeness at the moment */
  return 0;
}

int ex1048client_cmd( void )
{
  /* just here for completeness at the moment */
  return 0;
}


/*****************************************************************************
Revision History
 
$Log: ex1048client.c,v $
Revision 1.3  2004/09/30 19:26:59  pmecklenburg
added lidlock

Revision 1.2  2004/09/22 17:52:05  gbernhardt
merging alpha back onto the root (bug #79)

Revision 1.1.2.23  2004/08/30 15:18:05  gbernhardt
added enable flags to channel 0 of the limits (they don't do anything yet) (bug #147)

Revision 1.1.2.22  2004/08/23 21:35:30  pmecklenburg
added getserial and caldate

Revision 1.1.2.21  2004/08/18 14:37:30  gbernhardt
added an RPC and userland app to get the channel units (bug #145)

Revision 1.1.2.20  2004/08/10 19:56:42  gbernhardt
added support for aux LED (bug #86)

Revision 1.1.2.19  2004/08/10 18:33:05  gbernhardt
added driver interface for controlling LEDs (bug #86)

Revision 1.1.2.18  2004/08/09 15:27:31  gbernhardt
added 'get system status' and 'get limit status' userland utilities (bugs #20 and #62)

Revision 1.1.2.17  2004/08/06 14:42:58  pmecklenburg
added geterrorstatus

Revision 1.1.2.16  2004/08/03 21:40:55  gbernhardt
added software arm and trigger (bug #63)

Revision 1.1.2.15  2004/08/03 20:08:18  pmecklenburg
added selfcal clients, locking clients and getcalrunning client

Revision 1.1.2.14  2004/08/03 14:58:58  gbernhardt
added DIO pulse and VTB pulse command line programs

Revision 1.1.2.13  2004/08/01 17:14:59  gbernhardt
added initial (incomplete) self-test

Revision 1.1.2.12  2004/07/30 17:49:05  gbernhardt
added preliminary VTB support (bug #56)

Revision 1.1.2.11  2004/07/28 22:00:08  gbernhardt
added user-defined CJC temperature utilities

Revision 1.1.2.10  2004/07/26 18:23:19  gbernhardt
added firmware version and RPC version RPC calls (bug #46)

Revision 1.1.2.9  2004/07/19 21:08:17  gbernhardt
added calibration status userland utility

Revision 1.1.2.8  2004/07/09 19:31:25  nbarendt
 moved ex1048_clnt_create to utils.c

Revision 1.1.2.7  2004/07/07 15:36:43  gbernhardt
added user-defined conversions

Revision 1.1.2.6  2004/06/28 18:52:57  gbernhardt
merged alpha alpha-trigger

Revision 1.1.2.5.2.1  2004/06/23 13:27:22  pmecklenburg
add clients for new tirgger model (arm stuff, inf, delay, etc)

Revision 1.1.2.5  2004/06/18 17:54:41  pmecklenburg
added getstream client and changed ex1048_clnt_create to take const char *

Revision 1.1.2.4  2004/06/17 14:09:55  gbernhardt
added getlimits and setlimits

Revision 1.1.2.3  2004/06/03 20:07:08  gbernhardt
added digital IO RPC and userland tools

Revision 1.1.2.2  2004/04/20 22:07:38  nbarendt
moving files

Revision 1.1.2.1  2004/04/20 13:16:04  nbarendt
moved from parent directory

Revision 1.4.2.1  2004/04/13 19:56:00  nbarendt
added several new interfaces

Revision 1.4  2004/04/12 14:03:36  nbarendt
added exreset

Revision 1.3  2004/03/12 16:44:05  nbarendt
added some client utility functions and extended some features

Revision 1.2  2004/02/12 19:09:25  nbarendt
converted client over to busybox-like multi-executable toolset


*****************************************************************************/
