/*****************************************************************************
Copyright VXI Technoloy, Inc., 2004
 
Author:     $Author: gbernhardt $    
Date:       $Date: 2004/09/22 17:52:07 $
Revision:   $Revision: 1.2 $
 
$Header: /home/shared/cvsroot/ex1048/uClinux-dist/user/ex1048/client/sensorconfig.c,v 1.2 2004/09/22 17:52:07 gbernhardt Exp $
 
*****************************************************************************/


#include<stdio.h>
#include<rpc/rpc.h>
#include<unistd.h>
#include<getopt.h>
#include"ex1048.h"
#include"libex1048.h"
#include"ex1048_html.h"

#include "html-lib.h"
#include "cgi-lib.h"
 

int sensorconfig_cgi_main( int argc, char **argv )
{
  const char defaulthost[] = "localhost";
  const char defaultnetid[] = "udp";
  char *host = (char *) defaulthost;
  char *netid =(char *) defaultnetid;
  EX1048_CLIENT *cl;
  int i;
  int id = EX1048_CURRENT_SCANLIST; /* default to setting the current scanlist */
  int num_channels; 
  int channels[EX1048_MAX_SCANLIST_LENGTH];
  int result;
  int channel_conv[EX1048_MAX_NUM_CHANNELS];
  EX1048_RPCEUConversion conversions[EX1048_MAX_NUM_CHANNELS];
  int num_channels_conv;
  
  memset(conversions, 0, EX1048_MAX_NUM_CHANNELS * sizeof(EX1048_RPCEUConversion));
  
  /* connect to the device */
  cl = ex1048_clnt_create( host, netid, EX1048PROGVERS, LID_NONE );

  /*  request the current scanlist  */
  if( (result = getscanlist_cmd( cl, &id, &num_channels, channels )) == EX1048_SUCCESS ){
    /* request the current configuration */
    if( (result = getconversions_cmd( cl, &num_channels_conv, 
				      channels_conv, conversions ) ) == EX1048_SUCCESS ) {
    } else {
    }
  } else {
    printf("Error getting scanlist\n");
  }

  /* request the current conversions */
  
  /* destroy the client handle */
  ex1048_clnt_destroy( cl );
  return 0;
}


	  
/*****************************************************************************
Revision History
 
$Log: sensorconfig.c,v $
Revision 1.2  2004/09/22 17:52:07  gbernhardt
merging alpha back onto the root (bug #79)

Revision 1.1.2.3  2004/09/21 14:34:26  gbernhardt
added link IDs (bug #227)

Revision 1.1.2.2  2004/08/21 20:07:52  gbernhardt
overhauled RPC system to use new program number (bug #68)

Revision 1.1.2.1  2004/04/20 13:56:31  nbarendt
moved from lib dir

Revision 1.1  2004/03/12 16:47:40  nbarendt
initial checkin



*****************************************************************************/
