#ifndef __SCPILIB_H
#define __SCPILIB_H

#include "vxi11.h"

enum scpi_error {
  SCPI_ERROR_SUCCESS,

  SCPI_ERROR_UNKNOWN_ERROR,
  SCPI_ERROR_UNINITIALIZED,
  SCPI_ERROR_CANT_CONNECT,
  SCPI_ERROR_CANT_CREATE_LINK,

  SCPI_ERROR_SYNTAX_ERROR,
  SCPI_ERROR_DEVICE_NOT_ACCESSIBLE,
  SCPI_ERROR_INVALID_LINK_IDENTIFIER,
  SCPI_ERROR_PARAMETER_ERROR,
  SCPI_ERROR_CHANNEL_NOT_ESTABLISHED,
  SCPI_ERROR_OPERATION_NOT_SUPPORTED,
  SCPI_ERROR_OUT_OF_RESOURCES,
  SCPI_ERROR_DEVICE_LINK_LOCKED_BY_ANOTHER_LINK,
  SCPI_ERROR_NO_LOCK_HELD_BY_THIS_LINK,
  SCPI_ERROR_IO_TIMEOUT,
  SCPI_ERROR_IO_ERROR,
  SCPI_ERROR_INVALID_ADDRESS,
  SCPI_ERROR_ABORT,
  SCPI_ERROR_CHANNEL_ALREADY_ESTABLISHED,
};

struct scpi_handle {
  CLIENT *cl;
  Device_Link lid;
  enum scpi_error error;
};

struct scpi_handle *scpi_create (void);
enum scpi_error scpi_connect (struct scpi_handle *handle, const char *host, const char *device);
enum scpi_error scpi_write (struct scpi_handle *handle, const char *data);
enum scpi_error scpi_read (struct scpi_handle *handle, char *data, int length, int timeout);
void scpi_destroy (struct scpi_handle *handle);


#endif
