#include <stdio.h>
#include "scpilib.h"

typedef char *cmd_list[];

struct device {
  int index;
  char *name;
  cmd_list *cmds;
};

cmd_list keithly_2000 = {
  "*RST\n",
  //  ":SYST:BEEP:STAT 0\n",
  ":INIT:CONT 0\n",
  ":SENS:FUNC 'VOLT:DC'\n",
  ":SENS:VOLT:DC:RANG 10\n",
  "READ?\n",
  NULL
};

struct device g_devices[] = {
  {0, "Keithly 2000", &keithly_2000},
  {0, NULL, NULL}
};

int main (void) {
  struct scpi_handle *handle;
  enum scpi_error err;
  char buf[128];
  int i;

  handle = scpi_create();
  if (!handle) {
    printf("failed to create handle\n");
    return 1;
  }
  
  if ((err = scpi_connect(handle, "10.1.2.14", "gpib0,16")) != SCPI_ERROR_SUCCESS) {
    printf("failed to connect, err = %d\n", err);
    scpi_destroy(handle);
    return 1;
  }
  
  for (i=0; (*(g_devices[0].cmds))[i]; i++) {
    //printf("doing command: %s", (*(g_devices[0].cmds))[i]);
    if ((err = scpi_write(handle, (*(g_devices[0].cmds))[i])) != SCPI_ERROR_SUCCESS) {
      printf("failed to write, err = %d\n", err);
    }
  }
  
  if ((err = scpi_read(handle, buf, 128, 5000)) != SCPI_ERROR_SUCCESS) {
    printf("failed to write, err = %d\n", err);
    return 1;
  }
  
  printf("result: %s", buf);
  
  scpi_destroy(handle);
  
  return 0;
}
