/*
 * Please do not edit this file.
 * It was generated using rpcgen.
 */

#ifndef _EX1048_H_RPCGEN
#define _EX1048_H_RPCGEN

#include <rpc/rpc.h>

#include <pthread.h>

#ifdef __cplusplus
extern "C" {
#endif

/* instrument specific constants */
#define EX1048_MAX_SCANLIST_LENGTH 48
#define EX1048_MIN_SCANLIST_LENGTH 1
#define EX1048_MAX_NUM_CHANNELS 48
#define EX1048_FIRST_CJC_CHANNEL 48
#define EX1048_MAX_CJC_CHANNELS 16
#define EX1048_MAX_DATA 63
#define EX1048_MIN_CHANNEL 0
#define EX1048_MAX_CHANNEL 47
#define EX1048_MAX_TS_BYTES 96
#define EX1048_MAX_CJC_TS_BYTES 32
#define EX1048_MAX_LIMIT_INTS 8
#define EX1048_MIN_SAMPLING_PERIOD_SECS 0.001 /* minimum period of 1000us (1KHz) */
#define EX1048_MAX_SAMPLING_PERIOD_SECS 4294.0 /* NAB??? what is the max period */
#define EX1048_SAMPLING_PERIOD_RES_SECS 0.0005 /* NAB??? what is the resolution */
#define EX1048_MAX_BULK_TEST_DATA_LEN 16384
#define EX1048_MAX_FIFO_RESPONSE 1000
/* macros for extracting interface number and "real" version number from
   RPC version numbers */
#define EXTRACT_RPC_INTERFACE(v) ((v >> 8) & 0xFFFF)
#define EXTRACT_RPC_VERSION(v) (v & 0xFF)
/* All EX1048 RPC functions will return an error code as the first
   element in their result, or as just a result structure.

*/
#define EX1048_SUCCESS 0

struct EX1048_RPCresult {
	int error_code;
};
typedef struct EX1048_RPCresult EX1048_RPCresult;
/* the scanlist id is not currently used, but for support of extended features
 in the future, we will build in support now.
 To query the current scanlist, use the following value */
#define EX1048_CURRENT_SCANLIST -1

struct EX1048_RPCscanlist {
	int error_code;
	int lid;
	int id;
	struct {
		u_int channels_len;
		int *channels_val;
	} channels;
};
typedef struct EX1048_RPCscanlist EX1048_RPCscanlist;
#define LIMITS_0_MIN_OFFSET 0
#define LIMITS_0_MAX_OFFSET 2
#define LIMITS_1_MIN_OFFSET 4
#define LIMITS_1_MAX_OFFSET 6

struct EX1048_RPCSampleData {
	u_int ss_secs;
	u_int ss_usecs;
	struct {
		u_int x_len;
		float *x_val;
	} x;
	struct {
		u_int x_counts_len;
		int *x_counts_val;
	} x_counts;
	struct {
		u_int x_ticks_len;
		char *x_ticks_val;
	} x_ticks;
	struct {
		u_int cjc_len;
		float *cjc_val;
	} cjc;
	struct {
		u_int cjc_counts_len;
		int *cjc_counts_val;
	} cjc_counts;
	struct {
		u_int cjc_ticks_len;
		char *cjc_ticks_val;
	} cjc_ticks;
	struct {
		u_int limits_len;
		u_int *limits_val;
	} limits;
};
typedef struct EX1048_RPCSampleData EX1048_RPCSampleData;

typedef EX1048_RPCSampleData *EX1048_RPCSampleData_p;
#define LID_NONE (-1)

typedef int EX1048_RPCLinkID;

struct EX1048_RPCFIFOArray {
	int error_code;
	u_int fifo_count;
	struct {
		u_int fifo_len;
		EX1048_RPCSampleData_p *fifo_val;
	} fifo;
};
typedef struct EX1048_RPCFIFOArray EX1048_RPCFIFOArray;

enum EX1048_RPCEUConversion {
	EX1048_RPC_EU_MIN = 0,
	EX1048_RPC_EU_MV = EX1048_RPC_EU_MIN,
	EX1048_RPC_EU_TC_J = 1,
	EX1048_RPC_EU_TC_K = 2,
	EX1048_RPC_EU_TC_T = 3,
	EX1048_RPC_EU_TC_E = 4,
	EX1048_RPC_EU_TC_B = 5,
	EX1048_RPC_EU_TC_S = 6,
	EX1048_RPC_EU_TC_R = 7,
	EX1048_RPC_EU_TC_N = 8,
	EX1048_RPC_USER_DEFINED_0 = 9,
	EX1048_RPC_USER_DEFINED_1 = 10,
	EX1048_RPC_RESERVED1 = 11,
	EX1048_RPC_RESERVED2 = 12,
	EX1048_RPC_CJC = 13,
	EX1048_RPC_CJC_DATA_RETURNED = 14,
	EX1048_RPC_EU_MV_1X = 15,
	EX1048_RPC_EU_MAX = EX1048_RPC_USER_DEFINED_1,
};
typedef enum EX1048_RPCEUConversion EX1048_RPCEUConversion;

struct EX1048_RPCConversionList {
	int error_code;
	int lid;
	struct {
		u_int channels_len;
		int *channels_val;
	} channels;
	struct {
		u_int conversions_len;
		EX1048_RPCEUConversion *conversions_val;
	} conversions;
};
typedef struct EX1048_RPCConversionList EX1048_RPCConversionList;

struct EX1048_RPCFilterList {
	int error_code;
	int lid;
	struct {
		u_int channels_len;
		int *channels_val;
	} channels;
	struct {
		u_int cutoff_freq_len;
		double *cutoff_freq_val;
	} cutoff_freq;
};
typedef struct EX1048_RPCFilterList EX1048_RPCFilterList;

enum EX1048_RPCTemperature {
	EX1048_TEMP_UNITS_MIN = 0,
	EX1048_TEMP_UNITS_C = EX1048_TEMP_UNITS_MIN,
	EX1048_TEMP_UNITS_F = 1,
	EX1048_TEMP_UNITS_MAX = EX1048_TEMP_UNITS_F,
};
typedef enum EX1048_RPCTemperature EX1048_RPCTemperature;

struct EX1048_RPCFIFOFormat {
	int error_code;
	int lid;
	int report_cjc;
	int report_timestamp;
	int report_count;
	int temp_units;
	int blocking_mode;
};
typedef struct EX1048_RPCFIFOFormat EX1048_RPCFIFOFormat;

struct EX1048_RPCTrigCount {
	int error_code;
	int lid;
	u_int count;
};
typedef struct EX1048_RPCTrigCount EX1048_RPCTrigCount;

struct EX1048_RPCTrigDelay {
	int error_code;
	int lid;
	double delay_sec;
	double resolution;
};
typedef struct EX1048_RPCTrigDelay EX1048_RPCTrigDelay;

struct EX1048_RPCTrigInf {
	int error_code;
	int lid;
	int inf;
};
typedef struct EX1048_RPCTrigInf EX1048_RPCTrigInf;

struct EX1048_RPCTrigTimer {
	int error_code;
	int lid;
	double timer_period;
	double timer_resolution;
};
typedef struct EX1048_RPCTrigTimer EX1048_RPCTrigTimer;
#define EX1048_NUM_VTB_MASKS 4
#define EX1048_NUM_DIO_MASKS 4

struct EX1048_RPCTrigSrc {
	int error_code;
	int lid;
	u_char vtb_masks[EX1048_NUM_VTB_MASKS];
	u_char dio_masks[EX1048_NUM_DIO_MASKS];
	int timer_enable;
	int software;
	int imm;
};
typedef struct EX1048_RPCTrigSrc EX1048_RPCTrigSrc;

struct EX1048_RPCByte {
	int error_code;
	int lid;
	u_char value;
};
typedef struct EX1048_RPCByte EX1048_RPCByte;
#define MAX_LIMIT_SETS 2

struct EX1048_RPCLimits {
	int error_code;
	int lid;
	int set;
	struct {
		u_int channels_len;
		int *channels_val;
	} channels;
	struct {
		u_int lower_len;
		float *lower_val;
	} lower;
	struct {
		u_int upper_len;
		float *upper_val;
	} upper;
};
typedef struct EX1048_RPCLimits EX1048_RPCLimits;

struct EX1048_RPCLimitEnables {
	int error_code;
	int lid;
	int enables[EX1048_MAX_NUM_CHANNELS];
};
typedef struct EX1048_RPCLimitEnables EX1048_RPCLimitEnables;

struct EX1048_RPCcontinuous {
	int error_code;
	int lid;
	int cont;
};
typedef struct EX1048_RPCcontinuous EX1048_RPCcontinuous;
#define MAX_CONVERSION_SETS 2
#define MAX_CONVERSION_COEFFICIENTS 13

struct EX1048_RPCUserConversion {
	int error_code;
	int lid;
	int set;
	float forward_coeff[MAX_CONVERSION_COEFFICIENTS];
	float inverse_coeff[MAX_CONVERSION_COEFFICIENTS];
};
typedef struct EX1048_RPCUserConversion EX1048_RPCUserConversion;
#define MAX_CAL_HOST_LENGTH 16
#define MAX_CAL_GPIB_ADDR_LENGTH 32
#define FACTORY_CAL_KEY 0x31415926

struct EX1048_RPCFactoryCalibrationData {
	int error_code;
	int lid;
	int device;
	int key;
	char *host;
	char *gpib_addr;
	int nfs_enable;
	char *nfs_hostname;
	char *nfs_share;
	char *nfs_options;
};
typedef struct EX1048_RPCFactoryCalibrationData EX1048_RPCFactoryCalibrationData;

struct EX1048_RPCCalibrationStatus {
	int error_code;
	int lid;
	int percent_completed;
};
typedef struct EX1048_RPCCalibrationStatus EX1048_RPCCalibrationStatus;

struct EX1048_RPCInterface {
	int iface;
	struct {
		u_int versions_len;
		int *versions_val;
	} versions;
};
typedef struct EX1048_RPCInterface EX1048_RPCInterface;

struct EX1048_RPCVersions {
	int error_code;
	int lid;
	struct {
		u_int interfaces_len;
		EX1048_RPCInterface *interfaces_val;
	} interfaces;
};
typedef struct EX1048_RPCVersions EX1048_RPCVersions;
#define MAX_FIRMWARE_STRING_LENGTH 64

struct EX1048_RPCFirmwareVersion {
	int error_code;
	int lid;
	char *prefix;
	int major;
	int minor;
	int build;
};
typedef struct EX1048_RPCFirmwareVersion EX1048_RPCFirmwareVersion;

struct EX1048_RPCCJCTemperatures {
	int error_code;
	int lid;
	struct {
		u_int channels_len;
		int *channels_val;
	} channels;
	struct {
		u_int temperatures_len;
		float *temperatures_val;
	} temperatures;
};
typedef struct EX1048_RPCCJCTemperatures EX1048_RPCCJCTemperatures;

struct EX1048_RPCCJCEnables {
	int error_code;
	int lid;
	struct {
		u_int channels_len;
		int *channels_val;
	} channels;
	struct {
		u_int enables_len;
		int *enables_val;
	} enables;
};
typedef struct EX1048_RPCCJCEnables EX1048_RPCCJCEnables;
#define MAX_SYSTEM_ERROR_LENGTH 2048

struct EX1048_RPCErrorStatus {
	int error_code;
	int lid;
	char *error_string;
};
typedef struct EX1048_RPCErrorStatus EX1048_RPCErrorStatus;

struct EX1048_RPCCalibrationRunning {
	int error_code;
	int lid;
	int cal_running;
};
typedef struct EX1048_RPCCalibrationRunning EX1048_RPCCalibrationRunning;

struct EX1048_RPCSelfTestResult {
	int error_code;
	int lid;
	int result_code;
	char *result_string;
};
typedef struct EX1048_RPCSelfTestResult EX1048_RPCSelfTestResult;

struct EX1048_RPCSystemStatus {
	int error_code;
	int lid;
	int trig_idle;
	int trig_initialized;
	int trig_arm_active;
	int trig_trig_active;
	int trig_device_layer_active;
	int trig_waiting_for_arm;
	int trig_waiting_for_trigger;
	int trig_acquiring;
	int fifo_pages;
	int fifo_count;
	int fifo_blocking_mode_enabled;
	int fifo_block_status;
	int cal_running;
	char *error_status;
};
typedef struct EX1048_RPCSystemStatus EX1048_RPCSystemStatus;
#define MAX_LIMIT_SETS 2
#define NUM_LIMIT_WORDS 2

struct EX1048_RPCLimitBitmask {
	u_int bitwords[NUM_LIMIT_WORDS];
};
typedef struct EX1048_RPCLimitBitmask EX1048_RPCLimitBitmask;

struct EX1048_RPCLimitSet {
	struct EX1048_RPCLimitBitmask masks[2];
};
typedef struct EX1048_RPCLimitSet EX1048_RPCLimitSet;

struct EX1048_RPCLimitStatus {
	int error_code;
	int lid;
	struct EX1048_RPCLimitSet limits[MAX_LIMIT_SETS];
};
typedef struct EX1048_RPCLimitStatus EX1048_RPCLimitStatus;
#define MAX_DIO_BITS 8
#define LIMIT_EVENT_SET_0_MIN 1
#define LIMIT_EVENT_SET_0_MAX 2
#define LIMIT_EVENT_SET_1_MIN 4
#define LIMIT_EVENT_SET_1_MAX 8

struct EX1048_RPCDIOLimitChannelEvents {
	int dio_bits[MAX_DIO_BITS];
};
typedef struct EX1048_RPCDIOLimitChannelEvents EX1048_RPCDIOLimitChannelEvents;

struct EX1048_RPCDIOLimitEvents {
	int error_code;
	int lid;
	EX1048_RPCDIOLimitChannelEvents channel_events[EX1048_MAX_NUM_CHANNELS];
};
typedef struct EX1048_RPCDIOLimitEvents EX1048_RPCDIOLimitEvents;

struct EX1048_RPCDIOLimitFlags {
	int error_code;
	int lid;
	u_int pull_low[MAX_DIO_BITS];
	u_int latch[MAX_DIO_BITS];
};
typedef struct EX1048_RPCDIOLimitFlags EX1048_RPCDIOLimitFlags;

struct EX1048_RPCDIOLimitEnables {
	int error_code;
	int lid;
	u_int bit_enables[MAX_DIO_BITS];
};
typedef struct EX1048_RPCDIOLimitEnables EX1048_RPCDIOLimitEnables;

struct EX1048_RPCUserLEDStatus {
	int error_code;
	int lid;
	int leds[EX1048_MAX_NUM_CHANNELS];
};
typedef struct EX1048_RPCUserLEDStatus EX1048_RPCUserLEDStatus;

struct EX1048_RPCUserAuxLEDStatus {
	int error_code;
	int lid;
	int aux;
};
typedef struct EX1048_RPCUserAuxLEDStatus EX1048_RPCUserAuxLEDStatus;

struct EX1048_RPCStoredSelfCal {
	int error_code;
	int lid;
	int has_stored_cal;
};
typedef struct EX1048_RPCStoredSelfCal EX1048_RPCStoredSelfCal;

enum EX1048_RPCSingleChannelUnit {
	EX1048_CHANNEL_UNITS_MIN = 0,
	EX1048_CHANNEL_UNITS_DEGC = EX1048_CHANNEL_UNITS_MIN,
	EX1048_CHANNEL_UNITS_DEGF = 1,
	EX1048_CHANNEL_UNITS_VOLTS = 2,
	EX1048_CHANNEL_UNITS_UNKNOWN = 3,
	EX1048_CHANNEL_UNITS_MAX = EX1048_CHANNEL_UNITS_UNKNOWN,
};
typedef enum EX1048_RPCSingleChannelUnit EX1048_RPCSingleChannelUnit;

struct EX1048_RPCChannelUnits {
	int error_code;
	int lid;
	EX1048_RPCSingleChannelUnit units[EX1048_MAX_NUM_CHANNELS];
};
typedef struct EX1048_RPCChannelUnits EX1048_RPCChannelUnits;

struct EX1048_RPCCalibrationDate {
	int error_code;
	int lid;
	int stamp;
	char *date_string;
	int sec;
	int min;
	int hour;
	int day;
	int month;
	int year;
};
typedef struct EX1048_RPCCalibrationDate EX1048_RPCCalibrationDate;

struct EX1048_RPCSerialNumber {
	int error_code;
	int lid;
	char *serial;
};
typedef struct EX1048_RPCSerialNumber EX1048_RPCSerialNumber;

struct EX1048_RPCLockStatus {
	int error_code;
	int lid;
	int locked;
};
typedef struct EX1048_RPCLockStatus EX1048_RPCLockStatus;

struct EX1048_RPCSelfCalResult {
	int error_code;
	int lid;
	int magic;
	int recommended_uptime;
	int current_uptime;
};
typedef struct EX1048_RPCSelfCalResult EX1048_RPCSelfCalResult;

struct EX1048_RPCLink {
	int error_code;
	int lid;
};
typedef struct EX1048_RPCLink EX1048_RPCLink;

struct EX1048_RPCScanlistID {
	int error_code;
	int lid;
	int id;
};
typedef struct EX1048_RPCScanlistID EX1048_RPCScanlistID;

struct EX1048_RPCFIFOPageCount {
	int error_code;
	int lid;
	int page_count;
};
typedef struct EX1048_RPCFIFOPageCount EX1048_RPCFIFOPageCount;

struct EX1048_RPCLimitSetNumber {
	int error_code;
	int lid;
	int set;
};
typedef struct EX1048_RPCLimitSetNumber EX1048_RPCLimitSetNumber;

struct EX1048_RPCConversionSetNumber {
	int error_code;
	int lid;
	int set;
};
typedef struct EX1048_RPCConversionSetNumber EX1048_RPCConversionSetNumber;

struct EX1048_RPCSelfCalMagic {
	int error_code;
	int lid;
	int magic;
};
typedef struct EX1048_RPCSelfCalMagic EX1048_RPCSelfCalMagic;

struct EX1048_RPCPort {
	int error_code;
	int lid;
	u_short port;
};
typedef struct EX1048_RPCPort EX1048_RPCPort;

#define VXITECH_PROG 100416
#define COREVERS 0x00000001

#if defined(__STDC__) || defined(__cplusplus)
#define GET_RPC_VERSION 0x200
extern  enum clnt_stat get_rpc_version_0x00000001(EX1048_RPCVersions *, CLIENT *);
extern  bool_t get_rpc_version_0x00000001_svc(EX1048_RPCVersions *, struct svc_req *);
#define GET_FIRMWARE_VERSION 0x201
extern  enum clnt_stat get_firmware_version_0x00000001(EX1048_RPCFirmwareVersion *, CLIENT *);
extern  bool_t get_firmware_version_0x00000001_svc(EX1048_RPCFirmwareVersion *, struct svc_req *);
#define GET_ERROR_STATUS 0x300
extern  enum clnt_stat get_error_status_0x00000001(EX1048_RPCErrorStatus *, CLIENT *);
extern  bool_t get_error_status_0x00000001_svc(EX1048_RPCErrorStatus *, struct svc_req *);
extern int vxitech_prog_0x00000001_freeresult (SVCXPRT *, xdrproc_t, caddr_t);

#else /* K&R C */
#define GET_RPC_VERSION 0x200
extern  enum clnt_stat get_rpc_version_0x00000001();
extern  bool_t get_rpc_version_0x00000001_svc();
#define GET_FIRMWARE_VERSION 0x201
extern  enum clnt_stat get_firmware_version_0x00000001();
extern  bool_t get_firmware_version_0x00000001_svc();
#define GET_ERROR_STATUS 0x300
extern  enum clnt_stat get_error_status_0x00000001();
extern  bool_t get_error_status_0x00000001_svc();
extern int vxitech_prog_0x00000001_freeresult ();
#endif /* K&R C */

#define VXITECH_PROG 100416
#define EX1048PROGVERS 0x00000101

#if defined(__STDC__) || defined(__cplusplus)
#define RESET 0x100
extern  enum clnt_stat reset_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t reset_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define SET_SCANLIST 0x200
extern  enum clnt_stat set_scanlist_0x00000101(EX1048_RPCscanlist , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_scanlist_0x00000101_svc(EX1048_RPCscanlist , EX1048_RPCresult *, struct svc_req *);
#define GET_SCANLIST 0x201
extern  enum clnt_stat get_scanlist_0x00000101(EX1048_RPCScanlistID , EX1048_RPCscanlist *, CLIENT *);
extern  bool_t get_scanlist_0x00000101_svc(EX1048_RPCScanlistID , EX1048_RPCscanlist *, struct svc_req *);
#define SET_CHANNEL_CONVERSIONS 0x300
extern  enum clnt_stat set_channel_conversions_0x00000101(EX1048_RPCConversionList , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_channel_conversions_0x00000101_svc(EX1048_RPCConversionList , EX1048_RPCresult *, struct svc_req *);
#define GET_CHANNEL_CONVERSIONS 0x301
extern  enum clnt_stat get_channel_conversions_0x00000101(EX1048_RPCLinkID , EX1048_RPCConversionList *, CLIENT *);
extern  bool_t get_channel_conversions_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCConversionList *, struct svc_req *);
#define GET_CHANNEL_UNITS 0x400
extern  enum clnt_stat get_channel_units_0x00000101(EX1048_RPCLinkID , EX1048_RPCChannelUnits *, CLIENT *);
extern  bool_t get_channel_units_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCChannelUnits *, struct svc_req *);
#define SET_FILT_FREQ 0x500
extern  enum clnt_stat set_filt_freq_0x00000101(EX1048_RPCFilterList , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_filt_freq_0x00000101_svc(EX1048_RPCFilterList , EX1048_RPCresult *, struct svc_req *);
#define GET_FILT_FREQ 0x501
extern  enum clnt_stat get_filt_freq_0x00000101(EX1048_RPCLinkID , EX1048_RPCFilterList *, CLIENT *);
extern  bool_t get_filt_freq_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCFilterList *, struct svc_req *);
#define RESET_FIFO 0x600
extern  enum clnt_stat reset_fifo_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t reset_fifo_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define READ_FIFO 0x601
extern  enum clnt_stat read_fifo_0x00000101(EX1048_RPCFIFOPageCount , EX1048_RPCFIFOArray *, CLIENT *);
extern  bool_t read_fifo_0x00000101_svc(EX1048_RPCFIFOPageCount , EX1048_RPCFIFOArray *, struct svc_req *);
#define SET_FIFO_CONFIG 0x602
extern  enum clnt_stat set_fifo_config_0x00000101(EX1048_RPCFIFOFormat , EX1048_RPCFIFOFormat *, CLIENT *);
extern  bool_t set_fifo_config_0x00000101_svc(EX1048_RPCFIFOFormat , EX1048_RPCFIFOFormat *, struct svc_req *);
#define TRIG_ABORT 0x700
extern  enum clnt_stat trig_abort_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_abort_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define TRIG_INIT_CONT_SET 0x701
extern  enum clnt_stat trig_init_cont_set_0x00000101(EX1048_RPCcontinuous , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_init_cont_set_0x00000101_svc(EX1048_RPCcontinuous , EX1048_RPCresult *, struct svc_req *);
#define TRIG_INIT_CONT_GET 0x702
extern  enum clnt_stat trig_init_cont_get_0x00000101(EX1048_RPCLinkID , EX1048_RPCcontinuous *, CLIENT *);
extern  bool_t trig_init_cont_get_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCcontinuous *, struct svc_req *);
#define TRIG_INIT 0x703
extern  enum clnt_stat trig_init_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_init_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define TRIG_TIMER_PERIOD_SET 0x704
extern  enum clnt_stat trig_timer_period_set_0x00000101(EX1048_RPCTrigTimer , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_timer_period_set_0x00000101_svc(EX1048_RPCTrigTimer , EX1048_RPCresult *, struct svc_req *);
#define TRIG_TIMER_PERIOD_GET 0x705
extern  enum clnt_stat trig_timer_period_get_0x00000101(EX1048_RPCLinkID , EX1048_RPCTrigTimer *, CLIENT *);
extern  bool_t trig_timer_period_get_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCTrigTimer *, struct svc_req *);
#define TRIG_TRIG_COUNT_SET 0x710
extern  enum clnt_stat trig_trig_count_set_0x00000101(EX1048_RPCTrigCount , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_trig_count_set_0x00000101_svc(EX1048_RPCTrigCount , EX1048_RPCresult *, struct svc_req *);
#define TRIG_TRIG_COUNT_GET 0x711
extern  enum clnt_stat trig_trig_count_get_0x00000101(EX1048_RPCLinkID , EX1048_RPCTrigCount *, CLIENT *);
extern  bool_t trig_trig_count_get_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCTrigCount *, struct svc_req *);
#define TRIG_TRIG_SOURCE_SET 0x712
extern  enum clnt_stat trig_trig_source_set_0x00000101(EX1048_RPCTrigSrc , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_trig_source_set_0x00000101_svc(EX1048_RPCTrigSrc , EX1048_RPCresult *, struct svc_req *);
#define TRIG_TRIG_SOURCE_GET 0x713
extern  enum clnt_stat trig_trig_source_get_0x00000101(EX1048_RPCLinkID , EX1048_RPCTrigSrc *, CLIENT *);
extern  bool_t trig_trig_source_get_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCTrigSrc *, struct svc_req *);
#define TRIG_TRIG_DELAY_SET 0x714
extern  enum clnt_stat trig_trig_delay_set_0x00000101(EX1048_RPCTrigDelay , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_trig_delay_set_0x00000101_svc(EX1048_RPCTrigDelay , EX1048_RPCresult *, struct svc_req *);
#define TRIG_TRIG_DELAY_GET 0x715
extern  enum clnt_stat trig_trig_delay_get_0x00000101(EX1048_RPCLinkID , EX1048_RPCTrigDelay *, CLIENT *);
extern  bool_t trig_trig_delay_get_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCTrigDelay *, struct svc_req *);
#define TRIG_TRIG_INF_SET 0x716
extern  enum clnt_stat trig_trig_inf_set_0x00000101(EX1048_RPCTrigInf , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_trig_inf_set_0x00000101_svc(EX1048_RPCTrigInf , EX1048_RPCresult *, struct svc_req *);
#define TRIG_TRIG_INF_GET 0x717
extern  enum clnt_stat trig_trig_inf_get_0x00000101(EX1048_RPCLinkID , EX1048_RPCTrigInf *, CLIENT *);
extern  bool_t trig_trig_inf_get_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCTrigInf *, struct svc_req *);
#define TRIG_ARM_COUNT_SET 0x720
extern  enum clnt_stat trig_arm_count_set_0x00000101(EX1048_RPCTrigCount , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_arm_count_set_0x00000101_svc(EX1048_RPCTrigCount , EX1048_RPCresult *, struct svc_req *);
#define TRIG_ARM_COUNT_GET 0x721
extern  enum clnt_stat trig_arm_count_get_0x00000101(EX1048_RPCLinkID , EX1048_RPCTrigCount *, CLIENT *);
extern  bool_t trig_arm_count_get_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCTrigCount *, struct svc_req *);
#define TRIG_ARM_SOURCE_SET 0x722
extern  enum clnt_stat trig_arm_source_set_0x00000101(EX1048_RPCTrigSrc , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_arm_source_set_0x00000101_svc(EX1048_RPCTrigSrc , EX1048_RPCresult *, struct svc_req *);
#define TRIG_ARM_SOURCE_GET 0x723
extern  enum clnt_stat trig_arm_source_get_0x00000101(EX1048_RPCLinkID , EX1048_RPCTrigSrc *, CLIENT *);
extern  bool_t trig_arm_source_get_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCTrigSrc *, struct svc_req *);
#define TRIG_ARM_DELAY_SET 0x724
extern  enum clnt_stat trig_arm_delay_set_0x00000101(EX1048_RPCTrigDelay , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_arm_delay_set_0x00000101_svc(EX1048_RPCTrigDelay , EX1048_RPCresult *, struct svc_req *);
#define TRIG_ARM_DELAY_GET 0x725
extern  enum clnt_stat trig_arm_delay_get_0x00000101(EX1048_RPCLinkID , EX1048_RPCTrigDelay *, CLIENT *);
extern  bool_t trig_arm_delay_get_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCTrigDelay *, struct svc_req *);
#define TRIG_ARM_INF_SET 0x726
extern  enum clnt_stat trig_arm_inf_set_0x00000101(EX1048_RPCTrigInf , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_arm_inf_set_0x00000101_svc(EX1048_RPCTrigInf , EX1048_RPCresult *, struct svc_req *);
#define TRIG_ARM_INF_GET 0x727
extern  enum clnt_stat trig_arm_inf_get_0x00000101(EX1048_RPCLinkID , EX1048_RPCTrigInf *, CLIENT *);
extern  bool_t trig_arm_inf_get_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCTrigInf *, struct svc_req *);
#define TRIG_SOFTWARE_ARM 0x730
extern  enum clnt_stat trig_software_arm_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_software_arm_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define TRIG_SOFTWARE_TRIGGER 0x731
extern  enum clnt_stat trig_software_trigger_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_software_trigger_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define TRIG_RESET 0x0740
extern  enum clnt_stat trig_reset_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t trig_reset_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define GET_DIO_INPUT 0x800
extern  enum clnt_stat get_dio_input_0x00000101(EX1048_RPCLinkID , EX1048_RPCByte *, CLIENT *);
extern  bool_t get_dio_input_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCByte *, struct svc_req *);
#define GET_DIO_OUTPUT 0x801
extern  enum clnt_stat get_dio_output_0x00000101(EX1048_RPCLinkID , EX1048_RPCByte *, CLIENT *);
extern  bool_t get_dio_output_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCByte *, struct svc_req *);
#define SET_DIO_OUTPUT 0x802
extern  enum clnt_stat set_dio_output_0x00000101(EX1048_RPCByte , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_dio_output_0x00000101_svc(EX1048_RPCByte , EX1048_RPCresult *, struct svc_req *);
#define GET_DIO_ENABLE 0x803
extern  enum clnt_stat get_dio_enable_0x00000101(EX1048_RPCLinkID , EX1048_RPCByte *, CLIENT *);
extern  bool_t get_dio_enable_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCByte *, struct svc_req *);
#define SET_DIO_ENABLE 0x804
extern  enum clnt_stat set_dio_enable_0x00000101(EX1048_RPCByte , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_dio_enable_0x00000101_svc(EX1048_RPCByte , EX1048_RPCresult *, struct svc_req *);
#define SEND_DIO_PULSE 0x805
extern  enum clnt_stat send_dio_pulse_0x00000101(EX1048_RPCByte , EX1048_RPCresult *, CLIENT *);
extern  bool_t send_dio_pulse_0x00000101_svc(EX1048_RPCByte , EX1048_RPCresult *, struct svc_req *);
#define GET_VTB_INPUT 0x900
extern  enum clnt_stat get_vtb_input_0x00000101(EX1048_RPCLinkID , EX1048_RPCByte *, CLIENT *);
extern  bool_t get_vtb_input_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCByte *, struct svc_req *);
#define GET_VTB_OUTPUT 0x901
extern  enum clnt_stat get_vtb_output_0x00000101(EX1048_RPCLinkID , EX1048_RPCByte *, CLIENT *);
extern  bool_t get_vtb_output_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCByte *, struct svc_req *);
#define SET_VTB_OUTPUT 0x902
extern  enum clnt_stat set_vtb_output_0x00000101(EX1048_RPCByte , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_vtb_output_0x00000101_svc(EX1048_RPCByte , EX1048_RPCresult *, struct svc_req *);
#define GET_VTB_ENABLE 0x903
extern  enum clnt_stat get_vtb_enable_0x00000101(EX1048_RPCLinkID , EX1048_RPCByte *, CLIENT *);
extern  bool_t get_vtb_enable_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCByte *, struct svc_req *);
#define SET_VTB_ENABLE 0x904
extern  enum clnt_stat set_vtb_enable_0x00000101(EX1048_RPCByte , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_vtb_enable_0x00000101_svc(EX1048_RPCByte , EX1048_RPCresult *, struct svc_req *);
#define SEND_VTB_PULSE 0x905
extern  enum clnt_stat send_vtb_pulse_0x00000101(EX1048_RPCByte , EX1048_RPCresult *, CLIENT *);
extern  bool_t send_vtb_pulse_0x00000101_svc(EX1048_RPCByte , EX1048_RPCresult *, struct svc_req *);
#define STREAMING_CONNECT 0xA00
extern  enum clnt_stat streaming_connect_0x00000101(EX1048_RPCPort , EX1048_RPCresult *, CLIENT *);
extern  bool_t streaming_connect_0x00000101_svc(EX1048_RPCPort , EX1048_RPCresult *, struct svc_req *);
#define STREAMING_DISCONNECT 0xA01
extern  enum clnt_stat streaming_disconnect_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t streaming_disconnect_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define SET_LIMITS 0xB00
extern  enum clnt_stat set_limits_0x00000101(EX1048_RPCLimits , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_limits_0x00000101_svc(EX1048_RPCLimits , EX1048_RPCresult *, struct svc_req *);
#define GET_LIMITS 0xB01
extern  enum clnt_stat get_limits_0x00000101(EX1048_RPCLimitSetNumber , EX1048_RPCLimits *, CLIENT *);
extern  bool_t get_limits_0x00000101_svc(EX1048_RPCLimitSetNumber , EX1048_RPCLimits *, struct svc_req *);
#define GET_LIMIT_STATUS 0xB02
extern  enum clnt_stat get_limit_status_0x00000101(EX1048_RPCLinkID , EX1048_RPCLimitStatus *, CLIENT *);
extern  bool_t get_limit_status_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCLimitStatus *, struct svc_req *);
#define SET_LIMIT_ENABLES 0xB03
extern  enum clnt_stat set_limit_enables_0x00000101(EX1048_RPCLimitEnables , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_limit_enables_0x00000101_svc(EX1048_RPCLimitEnables , EX1048_RPCresult *, struct svc_req *);
#define GET_LIMIT_ENABLES 0xB04
extern  enum clnt_stat get_limit_enables_0x00000101(EX1048_RPCLinkID , EX1048_RPCLimitEnables *, CLIENT *);
extern  bool_t get_limit_enables_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCLimitEnables *, struct svc_req *);
#define SET_DIO_LIMIT_EVENTS 0xB05
extern  enum clnt_stat set_dio_limit_events_0x00000101(EX1048_RPCDIOLimitEvents , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_dio_limit_events_0x00000101_svc(EX1048_RPCDIOLimitEvents , EX1048_RPCresult *, struct svc_req *);
#define GET_DIO_LIMIT_EVENTS 0xB06
extern  enum clnt_stat get_dio_limit_events_0x00000101(EX1048_RPCLinkID , EX1048_RPCDIOLimitEvents *, CLIENT *);
extern  bool_t get_dio_limit_events_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCDIOLimitEvents *, struct svc_req *);
#define SET_DIO_LIMIT_FLAGS 0xB07
extern  enum clnt_stat set_dio_limit_flags_0x00000101(EX1048_RPCDIOLimitFlags , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_dio_limit_flags_0x00000101_svc(EX1048_RPCDIOLimitFlags , EX1048_RPCresult *, struct svc_req *);
#define GET_DIO_LIMIT_FLAGS 0xB08
extern  enum clnt_stat get_dio_limit_flags_0x00000101(EX1048_RPCLinkID , EX1048_RPCDIOLimitFlags *, CLIENT *);
extern  bool_t get_dio_limit_flags_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCDIOLimitFlags *, struct svc_req *);
#define GET_DIO_LIMIT_ENABLES 0xB09
extern  enum clnt_stat get_dio_limit_enables_0x00000101(EX1048_RPCLinkID , EX1048_RPCDIOLimitEnables *, CLIENT *);
extern  bool_t get_dio_limit_enables_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCDIOLimitEnables *, struct svc_req *);
#define SET_USER_CONV 0xC00
extern  enum clnt_stat set_user_conv_0x00000101(EX1048_RPCUserConversion , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_user_conv_0x00000101_svc(EX1048_RPCUserConversion , EX1048_RPCresult *, struct svc_req *);
#define GET_USER_CONV 0xC01
extern  enum clnt_stat get_user_conv_0x00000101(EX1048_RPCConversionSetNumber , EX1048_RPCUserConversion *, CLIENT *);
extern  bool_t get_user_conv_0x00000101_svc(EX1048_RPCConversionSetNumber , EX1048_RPCUserConversion *, struct svc_req *);
#define SET_USER_CJC_TEMPERATURES 0xD00
extern  enum clnt_stat set_user_cjc_temperatures_0x00000101(EX1048_RPCCJCTemperatures , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_user_cjc_temperatures_0x00000101_svc(EX1048_RPCCJCTemperatures , EX1048_RPCresult *, struct svc_req *);
#define GET_USER_CJC_TEMPERATURES 0xD01
extern  enum clnt_stat get_user_cjc_temperatures_0x00000101(EX1048_RPCLinkID , EX1048_RPCCJCTemperatures *, CLIENT *);
extern  bool_t get_user_cjc_temperatures_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCCJCTemperatures *, struct svc_req *);
#define SET_USER_CJC_ENABLES 0xD02
extern  enum clnt_stat set_user_cjc_enables_0x00000101(EX1048_RPCCJCEnables , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_user_cjc_enables_0x00000101_svc(EX1048_RPCCJCEnables , EX1048_RPCresult *, struct svc_req *);
#define GET_USER_CJC_ENABLES 0xD03
extern  enum clnt_stat get_user_cjc_enables_0x00000101(EX1048_RPCLinkID , EX1048_RPCCJCEnables *, CLIENT *);
extern  bool_t get_user_cjc_enables_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCCJCEnables *, struct svc_req *);
#define GET_LED_STATUS 0xE00
extern  enum clnt_stat get_led_status_0x00000101(EX1048_RPCLinkID , EX1048_RPCUserLEDStatus *, CLIENT *);
extern  bool_t get_led_status_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCUserLEDStatus *, struct svc_req *);
#define SET_LED_STATUS 0xE01
extern  enum clnt_stat set_led_status_0x00000101(EX1048_RPCUserLEDStatus , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_led_status_0x00000101_svc(EX1048_RPCUserLEDStatus , EX1048_RPCresult *, struct svc_req *);
#define GET_AUX_LED_STATUS 0xE02
extern  enum clnt_stat get_aux_led_status_0x00000101(EX1048_RPCLinkID , EX1048_RPCUserAuxLEDStatus *, CLIENT *);
extern  bool_t get_aux_led_status_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCUserAuxLEDStatus *, struct svc_req *);
#define SET_AUX_LED_STATUS 0xE03
extern  enum clnt_stat set_aux_led_status_0x00000101(EX1048_RPCUserAuxLEDStatus , EX1048_RPCresult *, CLIENT *);
extern  bool_t set_aux_led_status_0x00000101_svc(EX1048_RPCUserAuxLEDStatus , EX1048_RPCresult *, struct svc_req *);
#define FACTORY_CAL_INIT 0xF00
extern  enum clnt_stat factory_cal_init_0x00000101(EX1048_RPCFactoryCalibrationData , EX1048_RPCresult *, CLIENT *);
extern  bool_t factory_cal_init_0x00000101_svc(EX1048_RPCFactoryCalibrationData , EX1048_RPCresult *, struct svc_req *);
#define GET_CALIBRATION_DATE 0xF01
extern  enum clnt_stat get_calibration_date_0x00000101(EX1048_RPCLinkID , EX1048_RPCCalibrationDate *, CLIENT *);
extern  bool_t get_calibration_date_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCCalibrationDate *, struct svc_req *);
#define SELF_CALIBRATION_INIT 0x1000
extern  enum clnt_stat self_calibration_init_0x00000101(EX1048_RPCSelfCalMagic , EX1048_RPCSelfCalResult *, CLIENT *);
extern  bool_t self_calibration_init_0x00000101_svc(EX1048_RPCSelfCalMagic , EX1048_RPCSelfCalResult *, struct svc_req *);
#define SELF_CALIBRATION_CLEAR 0x1001
extern  enum clnt_stat self_calibration_clear_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t self_calibration_clear_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define SELF_CALIBRATION_STORE 0x1002
extern  enum clnt_stat self_calibration_store_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t self_calibration_store_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define SELF_CALIBRATION_LOAD 0x1003
extern  enum clnt_stat self_calibration_load_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t self_calibration_load_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define SELF_CALIBRATION_IS_STORED 0x1004
extern  enum clnt_stat self_calibration_is_stored_0x00000101(EX1048_RPCLinkID , EX1048_RPCStoredSelfCal *, CLIENT *);
extern  bool_t self_calibration_is_stored_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCStoredSelfCal *, struct svc_req *);
#define SELF_CALIBRATION_CLEAR_STORED 0x1005
extern  enum clnt_stat self_calibration_clear_stored_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t self_calibration_clear_stored_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define GET_CALIBRATION_STATUS 0x1100
extern  enum clnt_stat get_calibration_status_0x00000101(EX1048_RPCLinkID , EX1048_RPCCalibrationStatus *, CLIENT *);
extern  bool_t get_calibration_status_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCCalibrationStatus *, struct svc_req *);
#define GET_CALIBRATION_RUNNING 0x1101
extern  enum clnt_stat get_calibration_running_0x00000101(EX1048_RPCLinkID , EX1048_RPCCalibrationRunning *, CLIENT *);
extern  bool_t get_calibration_running_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCCalibrationRunning *, struct svc_req *);
#define LOCK 0x1200
extern  enum clnt_stat lock_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t lock_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define UNLOCK 0x1201
extern  enum clnt_stat unlock_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t unlock_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define CHECK_LOCK 0x1202
extern  enum clnt_stat check_lock_0x00000101(EX1048_RPCLinkID , EX1048_RPCLockStatus *, CLIENT *);
extern  bool_t check_lock_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCLockStatus *, struct svc_req *);
#define BREAK_LOCK 0x1203
extern  enum clnt_stat break_lock_0x00000101(EX1048_RPCLinkID , EX1048_RPCresult *, CLIENT *);
extern  bool_t break_lock_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCresult *, struct svc_req *);
#define SELF_TEST 0x1300
extern  enum clnt_stat self_test_0x00000101(EX1048_RPCLinkID , EX1048_RPCSelfTestResult *, CLIENT *);
extern  bool_t self_test_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCSelfTestResult *, struct svc_req *);
#define GET_SYSTEM_STATUS 0x1400
extern  enum clnt_stat get_system_status_0x00000101(EX1048_RPCLinkID , EX1048_RPCSystemStatus *, CLIENT *);
extern  bool_t get_system_status_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCSystemStatus *, struct svc_req *);
#define GET_SYSTEM_SERIAL_NUMBER 0x1401
extern  enum clnt_stat get_system_serial_number_0x00000101(EX1048_RPCLinkID , EX1048_RPCSerialNumber *, CLIENT *);
extern  bool_t get_system_serial_number_0x00000101_svc(EX1048_RPCLinkID , EX1048_RPCSerialNumber *, struct svc_req *);
#define CREATE_LINK 0x1500
extern  enum clnt_stat create_link_0x00000101(EX1048_RPCLink *, CLIENT *);
extern  bool_t create_link_0x00000101_svc(EX1048_RPCLink *, struct svc_req *);
#define DESTROY_LINK 0x1501
extern  enum clnt_stat destroy_link_0x00000101(EX1048_RPCLink , EX1048_RPCresult *, CLIENT *);
extern  bool_t destroy_link_0x00000101_svc(EX1048_RPCLink , EX1048_RPCresult *, struct svc_req *);
extern int vxitech_prog_0x00000101_freeresult (SVCXPRT *, xdrproc_t, caddr_t);

#else /* K&R C */
#define RESET 0x100
extern  enum clnt_stat reset_0x00000101();
extern  bool_t reset_0x00000101_svc();
#define SET_SCANLIST 0x200
extern  enum clnt_stat set_scanlist_0x00000101();
extern  bool_t set_scanlist_0x00000101_svc();
#define GET_SCANLIST 0x201
extern  enum clnt_stat get_scanlist_0x00000101();
extern  bool_t get_scanlist_0x00000101_svc();
#define SET_CHANNEL_CONVERSIONS 0x300
extern  enum clnt_stat set_channel_conversions_0x00000101();
extern  bool_t set_channel_conversions_0x00000101_svc();
#define GET_CHANNEL_CONVERSIONS 0x301
extern  enum clnt_stat get_channel_conversions_0x00000101();
extern  bool_t get_channel_conversions_0x00000101_svc();
#define GET_CHANNEL_UNITS 0x400
extern  enum clnt_stat get_channel_units_0x00000101();
extern  bool_t get_channel_units_0x00000101_svc();
#define SET_FILT_FREQ 0x500
extern  enum clnt_stat set_filt_freq_0x00000101();
extern  bool_t set_filt_freq_0x00000101_svc();
#define GET_FILT_FREQ 0x501
extern  enum clnt_stat get_filt_freq_0x00000101();
extern  bool_t get_filt_freq_0x00000101_svc();
#define RESET_FIFO 0x600
extern  enum clnt_stat reset_fifo_0x00000101();
extern  bool_t reset_fifo_0x00000101_svc();
#define READ_FIFO 0x601
extern  enum clnt_stat read_fifo_0x00000101();
extern  bool_t read_fifo_0x00000101_svc();
#define SET_FIFO_CONFIG 0x602
extern  enum clnt_stat set_fifo_config_0x00000101();
extern  bool_t set_fifo_config_0x00000101_svc();
#define TRIG_ABORT 0x700
extern  enum clnt_stat trig_abort_0x00000101();
extern  bool_t trig_abort_0x00000101_svc();
#define TRIG_INIT_CONT_SET 0x701
extern  enum clnt_stat trig_init_cont_set_0x00000101();
extern  bool_t trig_init_cont_set_0x00000101_svc();
#define TRIG_INIT_CONT_GET 0x702
extern  enum clnt_stat trig_init_cont_get_0x00000101();
extern  bool_t trig_init_cont_get_0x00000101_svc();
#define TRIG_INIT 0x703
extern  enum clnt_stat trig_init_0x00000101();
extern  bool_t trig_init_0x00000101_svc();
#define TRIG_TIMER_PERIOD_SET 0x704
extern  enum clnt_stat trig_timer_period_set_0x00000101();
extern  bool_t trig_timer_period_set_0x00000101_svc();
#define TRIG_TIMER_PERIOD_GET 0x705
extern  enum clnt_stat trig_timer_period_get_0x00000101();
extern  bool_t trig_timer_period_get_0x00000101_svc();
#define TRIG_TRIG_COUNT_SET 0x710
extern  enum clnt_stat trig_trig_count_set_0x00000101();
extern  bool_t trig_trig_count_set_0x00000101_svc();
#define TRIG_TRIG_COUNT_GET 0x711
extern  enum clnt_stat trig_trig_count_get_0x00000101();
extern  bool_t trig_trig_count_get_0x00000101_svc();
#define TRIG_TRIG_SOURCE_SET 0x712
extern  enum clnt_stat trig_trig_source_set_0x00000101();
extern  bool_t trig_trig_source_set_0x00000101_svc();
#define TRIG_TRIG_SOURCE_GET 0x713
extern  enum clnt_stat trig_trig_source_get_0x00000101();
extern  bool_t trig_trig_source_get_0x00000101_svc();
#define TRIG_TRIG_DELAY_SET 0x714
extern  enum clnt_stat trig_trig_delay_set_0x00000101();
extern  bool_t trig_trig_delay_set_0x00000101_svc();
#define TRIG_TRIG_DELAY_GET 0x715
extern  enum clnt_stat trig_trig_delay_get_0x00000101();
extern  bool_t trig_trig_delay_get_0x00000101_svc();
#define TRIG_TRIG_INF_SET 0x716
extern  enum clnt_stat trig_trig_inf_set_0x00000101();
extern  bool_t trig_trig_inf_set_0x00000101_svc();
#define TRIG_TRIG_INF_GET 0x717
extern  enum clnt_stat trig_trig_inf_get_0x00000101();
extern  bool_t trig_trig_inf_get_0x00000101_svc();
#define TRIG_ARM_COUNT_SET 0x720
extern  enum clnt_stat trig_arm_count_set_0x00000101();
extern  bool_t trig_arm_count_set_0x00000101_svc();
#define TRIG_ARM_COUNT_GET 0x721
extern  enum clnt_stat trig_arm_count_get_0x00000101();
extern  bool_t trig_arm_count_get_0x00000101_svc();
#define TRIG_ARM_SOURCE_SET 0x722
extern  enum clnt_stat trig_arm_source_set_0x00000101();
extern  bool_t trig_arm_source_set_0x00000101_svc();
#define TRIG_ARM_SOURCE_GET 0x723
extern  enum clnt_stat trig_arm_source_get_0x00000101();
extern  bool_t trig_arm_source_get_0x00000101_svc();
#define TRIG_ARM_DELAY_SET 0x724
extern  enum clnt_stat trig_arm_delay_set_0x00000101();
extern  bool_t trig_arm_delay_set_0x00000101_svc();
#define TRIG_ARM_DELAY_GET 0x725
extern  enum clnt_stat trig_arm_delay_get_0x00000101();
extern  bool_t trig_arm_delay_get_0x00000101_svc();
#define TRIG_ARM_INF_SET 0x726
extern  enum clnt_stat trig_arm_inf_set_0x00000101();
extern  bool_t trig_arm_inf_set_0x00000101_svc();
#define TRIG_ARM_INF_GET 0x727
extern  enum clnt_stat trig_arm_inf_get_0x00000101();
extern  bool_t trig_arm_inf_get_0x00000101_svc();
#define TRIG_SOFTWARE_ARM 0x730
extern  enum clnt_stat trig_software_arm_0x00000101();
extern  bool_t trig_software_arm_0x00000101_svc();
#define TRIG_SOFTWARE_TRIGGER 0x731
extern  enum clnt_stat trig_software_trigger_0x00000101();
extern  bool_t trig_software_trigger_0x00000101_svc();
#define TRIG_RESET 0x0740
extern  enum clnt_stat trig_reset_0x00000101();
extern  bool_t trig_reset_0x00000101_svc();
#define GET_DIO_INPUT 0x800
extern  enum clnt_stat get_dio_input_0x00000101();
extern  bool_t get_dio_input_0x00000101_svc();
#define GET_DIO_OUTPUT 0x801
extern  enum clnt_stat get_dio_output_0x00000101();
extern  bool_t get_dio_output_0x00000101_svc();
#define SET_DIO_OUTPUT 0x802
extern  enum clnt_stat set_dio_output_0x00000101();
extern  bool_t set_dio_output_0x00000101_svc();
#define GET_DIO_ENABLE 0x803
extern  enum clnt_stat get_dio_enable_0x00000101();
extern  bool_t get_dio_enable_0x00000101_svc();
#define SET_DIO_ENABLE 0x804
extern  enum clnt_stat set_dio_enable_0x00000101();
extern  bool_t set_dio_enable_0x00000101_svc();
#define SEND_DIO_PULSE 0x805
extern  enum clnt_stat send_dio_pulse_0x00000101();
extern  bool_t send_dio_pulse_0x00000101_svc();
#define GET_VTB_INPUT 0x900
extern  enum clnt_stat get_vtb_input_0x00000101();
extern  bool_t get_vtb_input_0x00000101_svc();
#define GET_VTB_OUTPUT 0x901
extern  enum clnt_stat get_vtb_output_0x00000101();
extern  bool_t get_vtb_output_0x00000101_svc();
#define SET_VTB_OUTPUT 0x902
extern  enum clnt_stat set_vtb_output_0x00000101();
extern  bool_t set_vtb_output_0x00000101_svc();
#define GET_VTB_ENABLE 0x903
extern  enum clnt_stat get_vtb_enable_0x00000101();
extern  bool_t get_vtb_enable_0x00000101_svc();
#define SET_VTB_ENABLE 0x904
extern  enum clnt_stat set_vtb_enable_0x00000101();
extern  bool_t set_vtb_enable_0x00000101_svc();
#define SEND_VTB_PULSE 0x905
extern  enum clnt_stat send_vtb_pulse_0x00000101();
extern  bool_t send_vtb_pulse_0x00000101_svc();
#define STREAMING_CONNECT 0xA00
extern  enum clnt_stat streaming_connect_0x00000101();
extern  bool_t streaming_connect_0x00000101_svc();
#define STREAMING_DISCONNECT 0xA01
extern  enum clnt_stat streaming_disconnect_0x00000101();
extern  bool_t streaming_disconnect_0x00000101_svc();
#define SET_LIMITS 0xB00
extern  enum clnt_stat set_limits_0x00000101();
extern  bool_t set_limits_0x00000101_svc();
#define GET_LIMITS 0xB01
extern  enum clnt_stat get_limits_0x00000101();
extern  bool_t get_limits_0x00000101_svc();
#define GET_LIMIT_STATUS 0xB02
extern  enum clnt_stat get_limit_status_0x00000101();
extern  bool_t get_limit_status_0x00000101_svc();
#define SET_LIMIT_ENABLES 0xB03
extern  enum clnt_stat set_limit_enables_0x00000101();
extern  bool_t set_limit_enables_0x00000101_svc();
#define GET_LIMIT_ENABLES 0xB04
extern  enum clnt_stat get_limit_enables_0x00000101();
extern  bool_t get_limit_enables_0x00000101_svc();
#define SET_DIO_LIMIT_EVENTS 0xB05
extern  enum clnt_stat set_dio_limit_events_0x00000101();
extern  bool_t set_dio_limit_events_0x00000101_svc();
#define GET_DIO_LIMIT_EVENTS 0xB06
extern  enum clnt_stat get_dio_limit_events_0x00000101();
extern  bool_t get_dio_limit_events_0x00000101_svc();
#define SET_DIO_LIMIT_FLAGS 0xB07
extern  enum clnt_stat set_dio_limit_flags_0x00000101();
extern  bool_t set_dio_limit_flags_0x00000101_svc();
#define GET_DIO_LIMIT_FLAGS 0xB08
extern  enum clnt_stat get_dio_limit_flags_0x00000101();
extern  bool_t get_dio_limit_flags_0x00000101_svc();
#define GET_DIO_LIMIT_ENABLES 0xB09
extern  enum clnt_stat get_dio_limit_enables_0x00000101();
extern  bool_t get_dio_limit_enables_0x00000101_svc();
#define SET_USER_CONV 0xC00
extern  enum clnt_stat set_user_conv_0x00000101();
extern  bool_t set_user_conv_0x00000101_svc();
#define GET_USER_CONV 0xC01
extern  enum clnt_stat get_user_conv_0x00000101();
extern  bool_t get_user_conv_0x00000101_svc();
#define SET_USER_CJC_TEMPERATURES 0xD00
extern  enum clnt_stat set_user_cjc_temperatures_0x00000101();
extern  bool_t set_user_cjc_temperatures_0x00000101_svc();
#define GET_USER_CJC_TEMPERATURES 0xD01
extern  enum clnt_stat get_user_cjc_temperatures_0x00000101();
extern  bool_t get_user_cjc_temperatures_0x00000101_svc();
#define SET_USER_CJC_ENABLES 0xD02
extern  enum clnt_stat set_user_cjc_enables_0x00000101();
extern  bool_t set_user_cjc_enables_0x00000101_svc();
#define GET_USER_CJC_ENABLES 0xD03
extern  enum clnt_stat get_user_cjc_enables_0x00000101();
extern  bool_t get_user_cjc_enables_0x00000101_svc();
#define GET_LED_STATUS 0xE00
extern  enum clnt_stat get_led_status_0x00000101();
extern  bool_t get_led_status_0x00000101_svc();
#define SET_LED_STATUS 0xE01
extern  enum clnt_stat set_led_status_0x00000101();
extern  bool_t set_led_status_0x00000101_svc();
#define GET_AUX_LED_STATUS 0xE02
extern  enum clnt_stat get_aux_led_status_0x00000101();
extern  bool_t get_aux_led_status_0x00000101_svc();
#define SET_AUX_LED_STATUS 0xE03
extern  enum clnt_stat set_aux_led_status_0x00000101();
extern  bool_t set_aux_led_status_0x00000101_svc();
#define FACTORY_CAL_INIT 0xF00
extern  enum clnt_stat factory_cal_init_0x00000101();
extern  bool_t factory_cal_init_0x00000101_svc();
#define GET_CALIBRATION_DATE 0xF01
extern  enum clnt_stat get_calibration_date_0x00000101();
extern  bool_t get_calibration_date_0x00000101_svc();
#define SELF_CALIBRATION_INIT 0x1000
extern  enum clnt_stat self_calibration_init_0x00000101();
extern  bool_t self_calibration_init_0x00000101_svc();
#define SELF_CALIBRATION_CLEAR 0x1001
extern  enum clnt_stat self_calibration_clear_0x00000101();
extern  bool_t self_calibration_clear_0x00000101_svc();
#define SELF_CALIBRATION_STORE 0x1002
extern  enum clnt_stat self_calibration_store_0x00000101();
extern  bool_t self_calibration_store_0x00000101_svc();
#define SELF_CALIBRATION_LOAD 0x1003
extern  enum clnt_stat self_calibration_load_0x00000101();
extern  bool_t self_calibration_load_0x00000101_svc();
#define SELF_CALIBRATION_IS_STORED 0x1004
extern  enum clnt_stat self_calibration_is_stored_0x00000101();
extern  bool_t self_calibration_is_stored_0x00000101_svc();
#define SELF_CALIBRATION_CLEAR_STORED 0x1005
extern  enum clnt_stat self_calibration_clear_stored_0x00000101();
extern  bool_t self_calibration_clear_stored_0x00000101_svc();
#define GET_CALIBRATION_STATUS 0x1100
extern  enum clnt_stat get_calibration_status_0x00000101();
extern  bool_t get_calibration_status_0x00000101_svc();
#define GET_CALIBRATION_RUNNING 0x1101
extern  enum clnt_stat get_calibration_running_0x00000101();
extern  bool_t get_calibration_running_0x00000101_svc();
#define LOCK 0x1200
extern  enum clnt_stat lock_0x00000101();
extern  bool_t lock_0x00000101_svc();
#define UNLOCK 0x1201
extern  enum clnt_stat unlock_0x00000101();
extern  bool_t unlock_0x00000101_svc();
#define CHECK_LOCK 0x1202
extern  enum clnt_stat check_lock_0x00000101();
extern  bool_t check_lock_0x00000101_svc();
#define BREAK_LOCK 0x1203
extern  enum clnt_stat break_lock_0x00000101();
extern  bool_t break_lock_0x00000101_svc();
#define SELF_TEST 0x1300
extern  enum clnt_stat self_test_0x00000101();
extern  bool_t self_test_0x00000101_svc();
#define GET_SYSTEM_STATUS 0x1400
extern  enum clnt_stat get_system_status_0x00000101();
extern  bool_t get_system_status_0x00000101_svc();
#define GET_SYSTEM_SERIAL_NUMBER 0x1401
extern  enum clnt_stat get_system_serial_number_0x00000101();
extern  bool_t get_system_serial_number_0x00000101_svc();
#define CREATE_LINK 0x1500
extern  enum clnt_stat create_link_0x00000101();
extern  bool_t create_link_0x00000101_svc();
#define DESTROY_LINK 0x1501
extern  enum clnt_stat destroy_link_0x00000101();
extern  bool_t destroy_link_0x00000101_svc();
extern int vxitech_prog_0x00000101_freeresult ();
#endif /* K&R C */

/* the xdr functions */

#if defined(__STDC__) || defined(__cplusplus)
extern  bool_t xdr_EX1048_RPCresult (XDR *, EX1048_RPCresult*);
extern  bool_t xdr_EX1048_RPCscanlist (XDR *, EX1048_RPCscanlist*);
extern  bool_t xdr_EX1048_RPCSampleData (XDR *, EX1048_RPCSampleData*);
extern  bool_t xdr_EX1048_RPCSampleData_p (XDR *, EX1048_RPCSampleData_p*);
extern  bool_t xdr_EX1048_RPCLinkID (XDR *, EX1048_RPCLinkID*);
extern  bool_t xdr_EX1048_RPCFIFOArray (XDR *, EX1048_RPCFIFOArray*);
extern  bool_t xdr_EX1048_RPCEUConversion (XDR *, EX1048_RPCEUConversion*);
extern  bool_t xdr_EX1048_RPCConversionList (XDR *, EX1048_RPCConversionList*);
extern  bool_t xdr_EX1048_RPCFilterList (XDR *, EX1048_RPCFilterList*);
extern  bool_t xdr_EX1048_RPCTemperature (XDR *, EX1048_RPCTemperature*);
extern  bool_t xdr_EX1048_RPCFIFOFormat (XDR *, EX1048_RPCFIFOFormat*);
extern  bool_t xdr_EX1048_RPCTrigCount (XDR *, EX1048_RPCTrigCount*);
extern  bool_t xdr_EX1048_RPCTrigDelay (XDR *, EX1048_RPCTrigDelay*);
extern  bool_t xdr_EX1048_RPCTrigInf (XDR *, EX1048_RPCTrigInf*);
extern  bool_t xdr_EX1048_RPCTrigTimer (XDR *, EX1048_RPCTrigTimer*);
extern  bool_t xdr_EX1048_RPCTrigSrc (XDR *, EX1048_RPCTrigSrc*);
extern  bool_t xdr_EX1048_RPCByte (XDR *, EX1048_RPCByte*);
extern  bool_t xdr_EX1048_RPCLimits (XDR *, EX1048_RPCLimits*);
extern  bool_t xdr_EX1048_RPCLimitEnables (XDR *, EX1048_RPCLimitEnables*);
extern  bool_t xdr_EX1048_RPCcontinuous (XDR *, EX1048_RPCcontinuous*);
extern  bool_t xdr_EX1048_RPCUserConversion (XDR *, EX1048_RPCUserConversion*);
extern  bool_t xdr_EX1048_RPCFactoryCalibrationData (XDR *, EX1048_RPCFactoryCalibrationData*);
extern  bool_t xdr_EX1048_RPCCalibrationStatus (XDR *, EX1048_RPCCalibrationStatus*);
extern  bool_t xdr_EX1048_RPCInterface (XDR *, EX1048_RPCInterface*);
extern  bool_t xdr_EX1048_RPCVersions (XDR *, EX1048_RPCVersions*);
extern  bool_t xdr_EX1048_RPCFirmwareVersion (XDR *, EX1048_RPCFirmwareVersion*);
extern  bool_t xdr_EX1048_RPCCJCTemperatures (XDR *, EX1048_RPCCJCTemperatures*);
extern  bool_t xdr_EX1048_RPCCJCEnables (XDR *, EX1048_RPCCJCEnables*);
extern  bool_t xdr_EX1048_RPCErrorStatus (XDR *, EX1048_RPCErrorStatus*);
extern  bool_t xdr_EX1048_RPCCalibrationRunning (XDR *, EX1048_RPCCalibrationRunning*);
extern  bool_t xdr_EX1048_RPCSelfTestResult (XDR *, EX1048_RPCSelfTestResult*);
extern  bool_t xdr_EX1048_RPCSystemStatus (XDR *, EX1048_RPCSystemStatus*);
extern  bool_t xdr_EX1048_RPCLimitBitmask (XDR *, EX1048_RPCLimitBitmask*);
extern  bool_t xdr_EX1048_RPCLimitSet (XDR *, EX1048_RPCLimitSet*);
extern  bool_t xdr_EX1048_RPCLimitStatus (XDR *, EX1048_RPCLimitStatus*);
extern  bool_t xdr_EX1048_RPCDIOLimitChannelEvents (XDR *, EX1048_RPCDIOLimitChannelEvents*);
extern  bool_t xdr_EX1048_RPCDIOLimitEvents (XDR *, EX1048_RPCDIOLimitEvents*);
extern  bool_t xdr_EX1048_RPCDIOLimitFlags (XDR *, EX1048_RPCDIOLimitFlags*);
extern  bool_t xdr_EX1048_RPCDIOLimitEnables (XDR *, EX1048_RPCDIOLimitEnables*);
extern  bool_t xdr_EX1048_RPCUserLEDStatus (XDR *, EX1048_RPCUserLEDStatus*);
extern  bool_t xdr_EX1048_RPCUserAuxLEDStatus (XDR *, EX1048_RPCUserAuxLEDStatus*);
extern  bool_t xdr_EX1048_RPCStoredSelfCal (XDR *, EX1048_RPCStoredSelfCal*);
extern  bool_t xdr_EX1048_RPCSingleChannelUnit (XDR *, EX1048_RPCSingleChannelUnit*);
extern  bool_t xdr_EX1048_RPCChannelUnits (XDR *, EX1048_RPCChannelUnits*);
extern  bool_t xdr_EX1048_RPCCalibrationDate (XDR *, EX1048_RPCCalibrationDate*);
extern  bool_t xdr_EX1048_RPCSerialNumber (XDR *, EX1048_RPCSerialNumber*);
extern  bool_t xdr_EX1048_RPCLockStatus (XDR *, EX1048_RPCLockStatus*);
extern  bool_t xdr_EX1048_RPCSelfCalResult (XDR *, EX1048_RPCSelfCalResult*);
extern  bool_t xdr_EX1048_RPCLink (XDR *, EX1048_RPCLink*);
extern  bool_t xdr_EX1048_RPCScanlistID (XDR *, EX1048_RPCScanlistID*);
extern  bool_t xdr_EX1048_RPCFIFOPageCount (XDR *, EX1048_RPCFIFOPageCount*);
extern  bool_t xdr_EX1048_RPCLimitSetNumber (XDR *, EX1048_RPCLimitSetNumber*);
extern  bool_t xdr_EX1048_RPCConversionSetNumber (XDR *, EX1048_RPCConversionSetNumber*);
extern  bool_t xdr_EX1048_RPCSelfCalMagic (XDR *, EX1048_RPCSelfCalMagic*);
extern  bool_t xdr_EX1048_RPCPort (XDR *, EX1048_RPCPort*);

#else /* K&R C */
extern bool_t xdr_EX1048_RPCresult ();
extern bool_t xdr_EX1048_RPCscanlist ();
extern bool_t xdr_EX1048_RPCSampleData ();
extern bool_t xdr_EX1048_RPCSampleData_p ();
extern bool_t xdr_EX1048_RPCLinkID ();
extern bool_t xdr_EX1048_RPCFIFOArray ();
extern bool_t xdr_EX1048_RPCEUConversion ();
extern bool_t xdr_EX1048_RPCConversionList ();
extern bool_t xdr_EX1048_RPCFilterList ();
extern bool_t xdr_EX1048_RPCTemperature ();
extern bool_t xdr_EX1048_RPCFIFOFormat ();
extern bool_t xdr_EX1048_RPCTrigCount ();
extern bool_t xdr_EX1048_RPCTrigDelay ();
extern bool_t xdr_EX1048_RPCTrigInf ();
extern bool_t xdr_EX1048_RPCTrigTimer ();
extern bool_t xdr_EX1048_RPCTrigSrc ();
extern bool_t xdr_EX1048_RPCByte ();
extern bool_t xdr_EX1048_RPCLimits ();
extern bool_t xdr_EX1048_RPCLimitEnables ();
extern bool_t xdr_EX1048_RPCcontinuous ();
extern bool_t xdr_EX1048_RPCUserConversion ();
extern bool_t xdr_EX1048_RPCFactoryCalibrationData ();
extern bool_t xdr_EX1048_RPCCalibrationStatus ();
extern bool_t xdr_EX1048_RPCInterface ();
extern bool_t xdr_EX1048_RPCVersions ();
extern bool_t xdr_EX1048_RPCFirmwareVersion ();
extern bool_t xdr_EX1048_RPCCJCTemperatures ();
extern bool_t xdr_EX1048_RPCCJCEnables ();
extern bool_t xdr_EX1048_RPCErrorStatus ();
extern bool_t xdr_EX1048_RPCCalibrationRunning ();
extern bool_t xdr_EX1048_RPCSelfTestResult ();
extern bool_t xdr_EX1048_RPCSystemStatus ();
extern bool_t xdr_EX1048_RPCLimitBitmask ();
extern bool_t xdr_EX1048_RPCLimitSet ();
extern bool_t xdr_EX1048_RPCLimitStatus ();
extern bool_t xdr_EX1048_RPCDIOLimitChannelEvents ();
extern bool_t xdr_EX1048_RPCDIOLimitEvents ();
extern bool_t xdr_EX1048_RPCDIOLimitFlags ();
extern bool_t xdr_EX1048_RPCDIOLimitEnables ();
extern bool_t xdr_EX1048_RPCUserLEDStatus ();
extern bool_t xdr_EX1048_RPCUserAuxLEDStatus ();
extern bool_t xdr_EX1048_RPCStoredSelfCal ();
extern bool_t xdr_EX1048_RPCSingleChannelUnit ();
extern bool_t xdr_EX1048_RPCChannelUnits ();
extern bool_t xdr_EX1048_RPCCalibrationDate ();
extern bool_t xdr_EX1048_RPCSerialNumber ();
extern bool_t xdr_EX1048_RPCLockStatus ();
extern bool_t xdr_EX1048_RPCSelfCalResult ();
extern bool_t xdr_EX1048_RPCLink ();
extern bool_t xdr_EX1048_RPCScanlistID ();
extern bool_t xdr_EX1048_RPCFIFOPageCount ();
extern bool_t xdr_EX1048_RPCLimitSetNumber ();
extern bool_t xdr_EX1048_RPCConversionSetNumber ();
extern bool_t xdr_EX1048_RPCSelfCalMagic ();
extern bool_t xdr_EX1048_RPCPort ();

#endif /* K&R C */

#ifdef __cplusplus
}
#endif

#endif /* !_EX1048_H_RPCGEN */
