/*****************************************************************************
Copyright VXI Technoloy, Inc., 2004
 
Author:     $Author: gbernhardt $    
Date:       $Date: 2004/12/10 19:23:38 $
Revision:   $Revision: 1.6 $
 
$Header: /home/shared/cvsroot/ex1048/uClinux-dist/user/ex1048/shared/ex1048_errors.h,v 1.6 2004/12/10 19:23:38 gbernhardt Exp $
 
*****************************************************************************/

#ifndef EX1048_ERRORS_HEADER
#define EX1048_ERRORS_HEADER

#include"ex1048.h"
#include"ex1048_types.h"

/* VXI11 errors */
#define VXI11_ERROR_NO_ERROR                            (0)
#define VXI11_ERROR_SYNTAX_ERROR                        (1)
#define VXI11_ERROR_DEVICE_NOT_ACCESSIBLE               (3)
#define VXI11_ERROR_INVALID_LINK_IDENTIFIER             (4)
#define VXI11_ERROR_PARAMETER_ERROR                     (5)
#define VXI11_ERROR_CHANNEL_NOT_ESTABLISHED             (6)
#define VXI11_ERROR_OPERATION_NOT_SUPPORTED             (8)
#define VXI11_ERROR_OUT_OF_RESOURCES                    (9)
#define VXI11_ERROR_DEVICE_LOCKED_BY_ANOTHER_LINK       (11)
#define VXI11_ERROR_NO_LOCK_HELD_BY_THIS_LINK           (12)
#define VXI11_ERROR_IO_TIMEOUT                          (15)
#define VXI11_ERROR_IO_ERROR                            (17)
#define VXI11_ERROR_INVALID_ADDRESS                     (21)
#define VXI11_ERROR_ABORT                               (23)
#define VXI11_ERROR_CHANNEL_ALREADY_ESTABLISHED         (29)

/* EX1048 wrappers for VXI11 errors */
#define EX1048_ERROR_VXI11_NO_ERROR                      VXI11_ERROR_NO_ERROR
#define EX1048_ERROR_VXI11_SYNTAX_ERROR                  VXI11_ERROR_SYNTAX_ERROR
#define EX1048_ERROR_VXI11_DEVICE_NOT_ACCESSIBLE         VXI11_ERROR_DEVICE_NOT_ACCESSIBLE
#define EX1048_ERROR_VXI11_INVALID_LINK_IDENTIFIER       VXI11_ERROR_INVALID_LINK_IDENTIFIER
#define EX1048_ERROR_VXI11_PARAMETER_ERROR               VXI11_ERROR_PARAMETER_ERROR
#define EX1048_ERROR_VXI11_CHANNEL_NOT_ESTABLISHED       VXI11_ERROR_CHANNEL_NOT_ESTABLISHED
#define EX1048_ERROR_VXI11_OPERATION_NOT_SUPPORTED       VXI11_ERROR_OPERATION_NOT_SUPPORTED
#define EX1048_ERROR_VXI11_OUT_OF_RESOURCES              VXI11_ERROR_OUT_OF_RESOURCES
#define EX1048_ERROR_VXI11_DEVICE_LOCKED_BY_ANOTHER_LINK VXI11_ERROR_DEVICE_LOCKED_BY_ANOTHER_LINK
#define EX1048_ERROR_VXI11_NO_LOCK_HELD_BY_THIS_LINK     VXI11_ERROR_NO_LOCK_HELD_BY_THIS_LINK
#define EX1048_ERROR_VXI11_IO_TIMEOUT                    VXI11_ERROR_IO_TIMEOUT
#define EX1048_ERROR_VXI11_IO_ERROR                      VXI11_ERROR_IO_ERROR
#define EX1048_ERROR_VXI11_INVALID_ADDRESS               VXI11_ERROR_INVALID_ADDRESS
#define EX1048_ERROR_VXI11_ABORT                         VXI11_ERROR_ABORT
#define EX1048_ERROR_VXI11_CHANNEL_ALREADY_ESTABLISHED   VXI11_ERROR_CHANNEL_ALREADY_ESTABLISHED

/* proper EX1048 errors */
#define EX1048_ERROR_INVALID_SCANLIST_LENGTH             (0x1001)
#define EX1048_ERROR_INVALID_CHANNEL                     (0x1002)
#define EX1048_ERROR_INVALID_SAMPLING_RATE               (0x1003)
#define EX1048_ERROR_INVALID_NULL_POINTER                (0x1004)
#define EX1048_ERROR_INVALID_MALLOC                      (0x1005)
#define EX1048_ERROR_INVALID_SCANLIST_ID                 (0x1006)
#define EX1048_ERROR_INVALID_CONV_LIST_LENGTH            (0x1007)
#define EX1048_ERROR_INVALID_EU_CONVERSION               (0x1008)
#define EX1048_ERROR_REQUIRED_MODULE_MISSING             (0x1009)
#define EX1048_ERROR_OPENING_DEVICE_FILE                 (0x100A)
#define EX1048_ERROR_DEVICE_ERROR                        (0x100B)
#define EX1048_ERROR_RPC_ERROR                           (0x100C)
#define EX1048_ERROR_INVALID_TRIG_COUNT                  (0x100D)
#define EX1048_ERROR_INVALID_TRIG_TIMER_PERIOD           (0x100E)
#define EX1048_ERROR_INVALID_FILT_LIST_LENGTH            (0x100F)
#define EX1048_ERROR_INVALID_FILT_FREQ                   (0x1010)
#define EX1048_ERROR_ALREADY_STREAMING                   (0x1011)
#define EX1048_ERROR_SOCKET                              (0x1012)
#define EX1048_ERROR_CONNECT                             (0x1013)
#define EX1048_ERROR_NOT_CONNECTED                       (0x1014)
#define EX1048_ERROR_INVALID_NUM_ENTRIES                 (0x1015)
#define EX1048_ERROR_NEGATIVE_TIME                       (0x1016)
#define EX1048_ERROR_DEVICE_LOCKED                       (0x1017)
#define EX1048_ERROR_CAL_IN_PROGRESS                     (0x1018)
#define EX1048_ERROR_SYSTEM_FAILURE                      (0x1019)
#define EX1048_ERROR_DEVICE_NOT_LOCKED                   (0x101A)
#define EX1048_ERROR_INVALID_TRIGGER_CONFIGURATION       (0x101B)
#define EX1048_ERROR_CALIBRATION_MISSING                 (0x101C)
#define EX1048_ERROR_INIT_LAYER_NOT_ACTIVE               (0x101D)
#define EX1048_ERROR_ARM_LAYER_NOT_ACTIVE                (0x101E)
#define EX1048_ERROR_TRIG_LAYER_NOT_ACTIVE               (0x101F)
#define EX1048_ERROR_INSUFFICIENT_UPTIME                 (0x1020)
#define EX1048_ERROR_OUT_OF_LINK_IDS                     (0x1021)
#define EX1048_ERROR_INVALID_LID                         (0x1022)
#define EX1048_ERROR_DUPLICATE_SCANLIST_CHANNEL          (0x1023)
#define EX1048_ERROR_INVALID_FACTORY_KEY                 (0x1024)
#define EX1048_ERROR_NO_STATUS                           (0x1025)
#define EX1048_ERROR_NONVOL_SELF_CAL_MISSING             (0x1027)
#define EX1048_ERROR_SELF_CAL_MISSING                    (0x1028)
/* structure to hold error code to error message associations */
typedef struct
{
  int32 error; /* error code */
  char *msg;
} EX1048_stringpair;


void ex1048_set_error( int *result, int  error_code, ... );
const char *ex1048_get_error_msg( int error_code );




#endif

/*****************************************************************************
Revision History
 
$Log: ex1048_errors.h,v $
Revision 1.6  2004/12/10 19:23:38  gbernhardt
removed redundant EX1048_ERROR_NOTE_LOCKED error code (bug #366)

Revision 1.5  2004/10/17 20:38:47  pmecklenburg
added nonvol self cal missing and self cal missing errors

Revision 1.4  2004/10/13 20:20:12  pmecklenburg
added EX1048_ERROR_NOT_LOCKED

Revision 1.3  2004/09/30 19:35:44  pmecklenburg
removed EX1048_ERROR_OPENING_STATUS_FILE and added CAL_IN_PROGRESS, INVALID_FACTORY_KEY and NO_STATUS

Revision 1.2  2004/09/22 17:52:15  gbernhardt
merging alpha back onto the root (bug #79)

Revision 1.1.2.16  2004/09/21 19:58:49  gbernhardt
added code to prevent duplicate channels in scanlists (bug #262)

Revision 1.1.2.15  2004/09/21 14:34:29  gbernhardt
added link IDs (bug #227)

Revision 1.1.2.14  2004/09/09 17:47:00  gbernhardt
unified VXI11 and EX1048 errors (bug #234)

Revision 1.1.2.13  2004/09/07 21:57:45  pmecklenburg
added EX1048_ERROR_INSUFFICIENT_UPTIME error

Revision 1.1.2.12  2004/09/01 15:16:45  gbernhardt
added more descriptive error codes for software arm and trigger (bug #223)

Revision 1.1.2.11  2004/08/23 21:40:34  pmecklenburg
added calibration missing error

Revision 1.1.2.10  2004/08/12 21:51:12  gbernhardt
added a more descriptive error code for invalid trigger configurations (bug #114)

Revision 1.1.2.9  2004/08/06 14:47:02  pmecklenburg
removed SYSTEM_STATUS error

Revision 1.1.2.8  2004/08/03 20:17:46  pmecklenburg
added system failure error and device_not_locked error

Revision 1.1.2.7  2004/07/29 21:48:32  pmecklenburg
added EX1048_ERROR_SYSTEM_STATUS error code

Revision 1.1.2.6  2004/07/19 21:07:03  gbernhardt
added calibration status RPC

Revision 1.1.2.5  2004/07/19 20:31:47  gbernhardt
initial implementation of locking (doesn't do anything yet - just stubs)

Revision 1.1.2.4  2004/06/28 18:52:59  gbernhardt
merged alpha alpha-trigger

Revision 1.1.2.3.2.1  2004/06/24 14:46:05  pmecklenburg
added negative time error

Revision 1.1.2.3  2004/06/18 18:02:23  pmecklenburg
added error value for read_fifo rpc request with an invalid num_entries

Revision 1.1.2.2  2004/06/11 17:10:45  pmecklenburg
added userland streaming server

Revision 1.1.2.1  2004/04/20 13:38:27  nbarendt
moved from parent dir

Revision 1.3.2.1  2004/04/13 19:56:00  nbarendt
added several new interfaces

Revision 1.3  2004/04/12 13:57:59  nbarendt
fixed header protection

Revision 1.2  2004/03/12 16:40:53  nbarendt
added new error codes/messages

Revision 1.1  2004/02/12 19:21:06  nbarendt
initial checkin


*****************************************************************************/
